Onboarding

Angular Bootstrap 5 Onboarding plugin

Onboarding is a guide plugin to show users how to use your website

Angular Onboarding plugin built with the latest Bootstrap 5. It is is a guide plugin to show users how to use your website.

Note: Read the API tab to find all available options and advanced customization


Basic example

To initialize Onboarding on your page simply add anchors with mdbOnboardingAnchor directive to the elements of your steps. As a first parameter to the init() method specify steps by giving proper id corresponding to previously added anchors, content of a step, and other individual options. As a second parameter you can pass global options which will be introduced to every step. Note that individual options have higher priority than global options.


Man in Cap and Glasses

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
        <section class="border p-4 d-flex justify-content-center">
          <div class="container">
            <div class="row justify-content-center">
              <div class="col-md-3 text-center">
                <button
                  class="btn btn-danger"
                  (click)="handleClick()"
                >
                  Start onboarding
                </button>
              </div>
            </div>
            <hr />
            <div class="row d-flex justify-content-center">
              <!-- Card Regular -->
              <div class="col-md-4">
                <div class="card">
                  <!-- Card image -->
                  <img
                    [mdbOnboardingAnchor]="'first-step'"
                    class="card-img-top"
                    src="https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp"
                    alt="Man in Cap and Glasses"
                  />
                  <a>
                    <div class="mask rgba-white-slight"></div>
                  </a>
                  <!-- Card content -->
                  <div class="card-body text-center">
                    <!-- Title -->
                    <h4
                      [mdbOnboardingAnchor]="'second-step'"
                      class="card-title"
                    >
                      <strong>John Doe</strong>
                    </h4>
                    <!-- Subtitle -->
                    <h6 class="fw-bold py-2">Web developer</h6>
                    <!-- Text -->
                    <p
                      [mdbOnboardingAnchor]="'third-step'"
                      class="card-text"
                    >
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex,
                      recusandae. Facere modi sunt, quod quibusdam.
                    </p>
        
                    <div class="d-flex justify-content-evenly">
                      <!-- Facebook -->
                      <a href="#!" role="button">
                        <i class="fab fa-facebook-f fa-lg"></i>
                      </a>
                      <!-- Twitter -->
                      <a href="#!" role="button">
                        <i class="fab fa-twitter fa-lg"></i>
                      </a>
                      <!-- Google + -->
                      <a href="#!" role="button">
                        <i class="fab fa-dribbble fa-lg"></i>
                      </a>
                    </div>
                  </div>
                </div>
              </div>
              <!-- Card Regular -->
            </div>
          </div>
        </section>
        
        
        
    
        
            
        import { Component } from '@angular/core';
        import { MdbOnboardingService } from 'mdb-angular-onboarding'
        
        @Component({
          selector: 'app-root',
          templateUrl: './app.component.html',
          styleUrls: ['./app.component.scss']
        })
        export class AppComponent {  
          constructor(public onboardingService: MdbOnboardingService) {}

          handleClick() {
            this.onboardingService.init([
              { id: 'first-step', content: 'This button has just started your onboarding' },
              {
                id: 'second-step',
                content: 'This is just basic example of initial onboarding options and configurations',
              },
              { id: 'third-step', content: 'There is many more options in the examples below' },
            ]);
            this.onboardingService.start();
          }
        }
        
                
        
    

Start options

Autostart

Onboarding can be auto initialized by passing delay option with the value of seconds after which Onboarding will be triggered

Onboarding will start in: 3


Man in Cap and Glasses

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
          <section class="border p-4 d-flex justify-content-center">
            <div class="container">
              <button
              class="btn btn-danger"
              (click)="handleClick()"
            >
              Start onboarding
            </button>
              <hr />
              <div class="row d-flex justify-content-center">
                <!-- Card Regular -->
                <div class="col-md-4">
                  <div #autostartTrigger class="card">
                    <!-- Card image -->
                    <img
                      [mdbOnboardingAnchor]="'first-step-autostart'"
                      class="card-img-top"
                      src="https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp"
                      alt="Man in Cap and Glasses"
                    />
                    <a>
                      <div class="mask rgba-white-slight"></div>
                    </a>
                    <!-- Card content -->
                    <div class="card-body text-center">
                      <!-- Title -->
                      <h4
                        [mdbOnboardingAnchor]="'second-step-autostart'"
                        class="card-title"
                      >
                        <strong>John Doe</strong>
                      </h4>
                      <!-- Subtitle -->
                      <h6 class="fw-bold py-2">Web developer</h6>
                      <!-- Text -->
                      <p
                        [mdbOnboardingAnchor]="'third-step-autostart'"
                        class="card-text"
                      >
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex,
                        recusandae. Facere modi sunt, quod quibusdam.
                      </p>
    
                      <div class="d-flex justify-content-evenly">
                        <!-- Facebook -->
                        <a href="#!" role="button">
                          <i class="fab fa-facebook-f fa-lg"></i>
                        </a>
                        <!-- Twitter -->
                        <a href="#!" role="button">
                          <i class="fab fa-twitter fa-lg"></i>
                        </a>
                        <!-- Google + -->
                        <a href="#!" role="button">
                          <i class="fab fa-dribbble fa-lg"></i>
                        </a>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- Card Regular -->
              </div>
            </div>
          </section>
          
        
    
        
            
          import { Component } from '@angular/core';
          import { MdbOnboardingService } from 'mdb-angular-onboarding'
          
          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.css']
          })
          export class AppComponent {  
            constructor(public onboardingService: MdbOnboardingService) {}

            handleClick() {
              this.onboardingService.init(
                [
                  { id: 'first-step-autostart', content: 'Example of autostarted onboarding experience' },
                  {
                    id: 'second-step-autostart',
                    content: 'Pass delay time in seconds to autostart onboarding',
                  },
                  {
                    id: 'third-step-autostart',
                    content: 'Delay time will also work with other starting options',
                  },
                ], { delay: 3 }
              );
              this.onboardingService.start();
            }
          }
          
        
    

Event triggered start

Run initialization methods on any trigger.


Man in Cap and Glasses

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
          <section class="border p-4 d-flex justify-content-center">
            <div class="container">
              <div class="row justify-content-center">
                <div class="col-md-3 text-center">
                  <button class="btn btn-danger" (mouseover)="handleMouseover()">
                    Hover over me to start
                  </button>
                </div>
              </div>
              <hr />
              <div class="row d-flex justify-content-center">
                <!-- Card Regular -->
                <div class="col-md-4">
                  <div class="card">
                    <!-- Card image -->
                    <img
                      [mdbOnboardingAnchor]="'first-step-hover-trigger'"
                      class="card-img-top"
                      src="https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp"
                      alt="Man in Cap and Glasses"
                    />
                    <a>
                      <div class="mask rgba-white-slight"></div>
                    </a>
                    <!-- Card content -->
                    <div class="card-body text-center">
                      <!-- Title -->
                      <h4
                        [mdbOnboardingAnchor]="'second-step-hover-trigger'"
                        class="card-title"
                      >
                        <strong>John Doe</strong>
                      </h4>
                      <!-- Subtitle -->
                      <h6 class="fw-bold py-2">Web developer</h6>
                      <!-- Text -->
                      <p
                        class="card-text"
                      >
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex,
                        recusandae. Facere modi sunt, quod quibusdam.
                      </p>
          
                      <div class="d-flex justify-content-evenly">
                        <!-- Facebook -->
                        <a href="#!" role="button">
                          <i class="fab fa-facebook-f fa-lg"></i>
                        </a>
                        <!-- Twitter -->
                        <a href="#!" role="button">
                          <i class="fab fa-twitter fa-lg"></i>
                        </a>
                        <!-- Google + -->
                        <a href="#!" role="button">
                          <i class="fab fa-dribbble fa-lg"></i>
                        </a>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- Card Regular -->
              </div>
            </div>
          </section>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbOnboardingService } from 'mdb-angular-onboarding'

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss']
            })
            export class AppComponent {  
              constructor(public onboardingService: MdbOnboardingService) {}

              handleMouseover() {
                this.onboardingService.init([
                  {
                    id: 'first-step-hover-trigger',
                    content: "You can use events such as 'click' or 'mouseover'",
                  },
                  {
                    id: 'second-step-hover-trigger',
                    content: "You can even use 'load' event on a window element!",
                  },
                ]);
                this.onboardingService.start();
              }
            }

          
        
    

Backdrop options

Global backdrop

Backdrop for every step inside Onboarding can be set via backdrop option globally, same as the backdropOpacity option which sets an opacity.


Man in Cap and Glasses

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
          <section class="border p-4 d-flex justify-content-center">
            <div class="container">
              <button class="btn btn-danger" (click)="handleClick()">Start onboarding</button>
              <hr />
              <div class="row d-flex justify-content-center">
                <!-- Card Regular -->
                <div class="col-md-4">
                  <div class="card">
                    <!-- Card image -->
                    <img
                      [mdbOnboardingAnchor]="'first-step-backdrop-global'"
                      class="card-img-top"
                      src="https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp"
                      alt="Man in Cap and Glasses"
                    />
                    <a>
                      <div class="mask rgba-white-slight"></div>
                    </a>
                    <!-- Card content -->
                    <div class="card-body text-center">
                      <!-- Title -->
                      <h4
                        [mdbOnboardingAnchor]="'second-step-backdrop-global'"
                        class="card-title"
                      >
                        <strong>John Doe</strong>
                      </h4>
                      <!-- Subtitle -->
                      <h6 class="fw-bold py-2">Web developer</h6>
                      <!-- Text -->
                      <p class="card-text">
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex,
                        recusandae. Facere modi sunt, quod quibusdam.
                      </p>
          
                      <div class="d-flex justify-content-evenly">
                        <!-- Facebook -->
                        <a href="#!" role="button">
                          <i class="fab fa-facebook-f fa-lg"></i>
                        </a>
                        <!-- Twitter -->
                        <a href="#!" role="button">
                          <i class="fab fa-twitter fa-lg"></i>
                        </a>
                        <!-- Google + -->
                        <a
                          [mdbOnboardingAnchor]="'third-step-backdrop-global'"
                          href="#!"
                          role="button"
                        >
                          <i class="fab fa-dribbble fa-lg"></i>
                        </a>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- Card Regular -->
              </div>
            </div>
          </section>
          
          
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbOnboardingService } from 'mdb-angular-onboarding'

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss']
            })
            export class AppComponent {  
              constructor(public onboardingService: MdbOnboardingService) {}

              handleClick() {
                this.onboardingService.init(
                  [
                    {
                      id: 'first-step-backdrop-global',
                      content: 'Backdrop is set to false by default',
                    },
                    {
                      id: 'second-step-backdrop-global',
                      content:
                        'Backdrop options set in Onboarding container will be passed to each step element inside it',
                    },
                    {
                      id: 'third-step-backdrop-global',
                      content:
                        'If you want to set global backdrop but turn it off for one step use options for individual step from the next example',
                    },
                  ],
                  {
                    backdrop: true,
                    backdropOpacity: 0.3,
                  }
                );
                this.onboardingService.start();
              }

            }

          
        
    

Individual step backdrop

Indivudal options have higher priority than global options.


Man in Cap and Glasses

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
          <section class="border p-4 d-flex justify-content-center">
            <div class="container">
              <button class="btn btn-danger" (click)="handleClick()">Start onboarding</button>
              <hr />
              <div class="row d-flex justify-content-center">
                <!-- Card Regular -->
                <div class="col-md-4">
                  <div class="card">
                    <!-- Card image -->
                    <img
                      [mdbOnboardingAnchor]="'first-step-backdrop-individual'"
                      class="card-img-top"
                      src="https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp"
                      alt="Man in Cap and Glasses"
                    />
                    <a>
                      <div class="mask rgba-white-slight"></div>
                    </a>
                    <!-- Card content -->
                    <div class="card-body text-center">
                      <!-- Title -->
                      <h4
                        [mdbOnboardingAnchor]="'second-step-backdrop-individual'"
                        class="card-title"
                      >
                        <strong>John Doe</strong>
                      </h4>
                      <!-- Subtitle -->
                      <h6 class="fw-bold py-2">Web developer</h6>
                      <!-- Text -->
                      <p class="card-text">
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex,
                        recusandae. Facere modi sunt, quod quibusdam.
                      </p>
          
                      <div class="d-flex justify-content-evenly">
                        <!-- Facebook -->
                        <a href="#!" role="button">
                          <i class="fab fa-facebook-f fa-lg"></i>
                        </a>
                        <!-- Twitter -->
                        <a href="#!" role="button">
                          <i class="fab fa-twitter fa-lg"></i>
                        </a>
                        <!-- Google + -->
                        <a
                          [mdbOnboardingAnchor]="'third-step-backdrop-individual'"
                          href="#!"
                          role="button"
                        >
                          <i class="fab fa-dribbble fa-lg"></i>
                        </a>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- Card Regular -->
              </div>
            </div>
          </section>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { MdbOnboardingService } from 'mdb-angular-onboarding'

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss']
          })
          export class AppComponent {  
            constructor(public onboardingService: MdbOnboardingService) {}

            handleClick() {
              this.onboardingService.init(
                [
                  {
                    id: 'first-step-backdrop-individual',
                    content:
                      'Individual step options have higher specificity than global. Setting backdrop to a single step will override its global backdrop options',
                    backdrop: true,
                    backdropOpacity: 0.6,
                  },
                  {
                    id: 'second-step-backdrop-individual',
                    content: 'This element has backdrop with opacity 0.2',
                    backdrop: true,
                    backdropOpacity: 0.2,
                  },
                  {
                    id: 'third-step-backdrop-individual',
                    content: 'And this element has backdrop with opacity 0.8',
                    backdrop: true,
                    backdropOpacity: 0.8,
                  },
                ],
                {
                  backdropOpacity: 0.8,
                }
              );
              this.onboardingService.start();
            }

          }

        
        
    

Autoplay

Set autoplay and stepDuration to enable autoplay


Man in Cap and Glasses

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
        <section class="border p-4 d-flex justify-content-center">
          <div class="container">
            <button class="btn btn-danger" (click)="handleClick()">Start onboarding</button>
            <hr />
            <div class="row d-flex justify-content-center">
              <!-- Card Regular -->
              <div class="col-md-4">
                <div class="card">
                  <!-- Card image -->
                  <img
                    [mdbOnboardingAnchor]="'first-step-autoplay'"
                    class="card-img-top"
                    src="https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp"
                    alt="Man in Cap and Glasses"
                  />
                  <a>
                    <div class="mask rgba-white-slight"></div>
                  </a>
                  <!-- Card content -->
                  <div class="card-body text-center">
                    <!-- Title -->
                    <h4
                      [mdbOnboardingAnchor]="'second-step-autoplay'"
                      class="card-title"
                    >
                      <strong>John Doe</strong>
                    </h4>
                    <!-- Subtitle -->
                    <h6 class="fw-bold py-2">Web developer</h6>
                    <!-- Text -->
                    <p [mdbOnboardingAnchor]="'third-step-autoplay'" class="card-text">
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex,
                      recusandae. Facere modi sunt, quod quibusdam.
                    </p>
        
                    <div class="d-flex justify-content-evenly">
                      <!-- Facebook -->
                      <a href="#!" role="button">
                        <i class="fab fa-facebook-f fa-lg"></i>
                      </a>
                      <!-- Twitter -->
                      <a href="#!" role="button">
                        <i class="fab fa-twitter fa-lg"></i>
                      </a>
                      <!-- Google + -->
                      <a
                        [mdbOnboardingAnchor]="'fourth-step-autoplay'"
                        href="#!"
                        role="button"
                      >
                        <i class="fab fa-dribbble fa-lg"></i>
                      </a>
                    </div>
                  </div>
                </div>
              </div>
              <!-- Card Regular -->
            </div>
          </div>
        </section>
        
        
    
        
            
        import { Component } from '@angular/core';
        import { MdbOnboardingService } from 'mdb-angular-onboarding'
        
        @Component({
          selector: 'app-root',
          templateUrl: './app.component.html',
          styleUrls: ['./app.component.scss']
        })
        export class AppComponent {  
          constructor(public onboardingService: MdbOnboardingService) {}
        
          handleClick() {
            this.onboardingService.init(
              [
                {
                  id: 'first-step-autoplay',
                  content: 'This step has globally set duration for 2 seconds',
                },
                {
                  id: 'second-step-autoplay',
                  content:
                    'This step has overriden duration with data-mdb-duration attribute set to 4 seconds',
                  stepDuration: 4,
                },
                {
                  id: 'third-step-autoplay',
                  content:
                    'This step has data-mdb-autoplay indivudally set to false. Click next or use arrow to open next step',
                  autoplay: false,
                },
                {
                  id: 'fourth-step-autoplay',
                  content: 'This step will automatically close after 5 seconds',
                  stepDuration: 5,
                },
              ],
              { autoplay: true, stepDuration: 2 }
            );
            this.onboardingService.start();
          }
        
        }
        
        
    

Autoscroll

Toggle auto scrolling into element that is outside the view with autoscroll option.


Scroll from this
... to that
        
            
            <section
            class="border p-4 d-flex justify-content-center onboarding"
            >
            <div class="container">
              <div class="row justify-content-center">
                <div class="col-md-3 text-center">
                  <button class="btn btn-danger" (click)="handleClick()">
                    Start onboarding
                  </button>
                </div>
              </div>
              <hr />
              <div class="row d-flex justify-content-center">
                <div class="row d-flex justify-content-center">
                  <div
                    style="margin-bottom: 150vh;"
                    [mdbOnboardingAnchor]="'first-step-autoscroll'"
                  >
                    Scroll from this
                  </div>
                  <div
                  [mdbOnboardingAnchor]="'second-step-autoscroll'"
                  >
                    ... to that
                  </div>
                </div>
              </div>
            </div>
            </section>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { MdbOnboardingService } from 'mdb-angular-onboarding'

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss']
          })
          export class AppComponent {  
            constructor(public onboardingService: MdbOnboardingService) {}

            handleClick() {
              this.onboardingService.init(
                [
                  {
                    id: 'first-step-autoscroll',
                    content: 'Autoscroll is set to true by default',
                  },
                  {
                    id: 'second-step-autoscroll',
                    content:
                      'To disable it for single step use autoscroll: false; option on that step',
                  },
                ],
                { backdrop: true }
              );
              this.onboardingService.start();
            }

          }

        
        
    

Popover customization

Buttons and labels customization

You can change buttons styles and labels inside step popover via proper options. For more info visit API section


Man in Cap and Glasses

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
          <section
          class="border p-4 d-flex justify-content-center onboarding"
          >
          <div class="container">
            <div class="row justify-content-center">
              <div class="col-md-3 text-center">
                <button class="btn btn-danger" (click)="handleClick()">
                  Start onboarding
                </button>
              </div>
            </div>
            <hr />
            <div class="row d-flex justify-content-center">
              <!-- Card Regular -->
              <div class="col-md-4">
                <div class="card">
                  <!-- Card image -->
                  <img
                    [mdbOnboardingAnchor]="'first-step-buttons-and-labels'"
                    class="card-img-top"
                    src="https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp"
                    alt="Man in Cap and Glasses"
                  />
                  <a>
                    <div class="mask rgba-white-slight"></div>
                  </a>
                  <!-- Card content -->
                  <div class="card-body text-center">
                    <!-- Title -->
                    <h4
                      [mdbOnboardingAnchor]="'second-step-buttons-and-labels'"
                      class="card-title"
                    >
                      <strong>John Doe</strong>
                    </h4>
                    <!-- Subtitle -->
                    <h6 class="fw-bold py-2">Web developer</h6>
                    <!-- Text -->
                    <p class="card-text">
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex,
                      recusandae. Facere modi sunt, quod quibusdam.
                    </p>
          
                    <div class="d-flex justify-content-evenly">
                      <!-- Facebook -->
                      <a [mdbOnboardingAnchor]="'third-step-buttons-and-labels'"
                      href="#!" role="button">
                        <i class="fab fa-facebook-f fa-lg"></i>
                      </a>
                      <!-- Twitter -->
                      <a href="#!" role="button">
                        <i class="fab fa-twitter fa-lg"></i>
                      </a>
                      <!-- Google + -->
                      <a
                        [mdbOnboardingAnchor]="'fourth-step-buttons-and-labels'"
                        href="#!"
                        role="button"
                      >
                        <i class="fab fa-dribbble fa-lg"></i>
                      </a>
                    </div>
                  </div>
                </div>
              </div>
              <!-- Card Regular -->
            </div>
          </div>
          </section>
          
          
        
    
        
            
          import { Component } from '@angular/core';
          import { MdbOnboardingService } from 'mdb-angular-onboarding'
          
          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss']
          })
          export class AppComponent {  
            constructor(public onboardingService: MdbOnboardingService) {}
          
            handleClick() {
              this.onboardingService.init(
                [
                  {
                    id: 'first-step-buttons-and-labels',
                    content: 'Globally changed button labels',
                    prevLabel: 'Left',
                    nextLabel: 'Right',
                    skipLabel: 'End',
                  },
                  {
                    id: 'second-step-buttons-and-labels',
                    content: 'Locally changed control labels',
                    prevLabel: 'Left',
                    nextLabel: 'Right',
                    skipLabel: 'End',
                    pauseLabel: 'Stop',
                    resumeLabel: 'Start',
                    autoplay: true,
                  },
                  {
                    id: 'third-step-buttons-and-labels',
                    content: 'You can even use our icons inside button labels!',
                    nextLabel: '<i class="fas fa-arrow-right" style="pointer-events: none"></i>',
                    prevLabel: '<i class="fas fa-arrow-left" style="pointer-events: none"></i>',
                  },
                  {
                    id: 'fourth-step-buttons-and-labels',
                    content:
                      'Backdrop options set in Onboarding container will be passed to each step element inside it',
                    btnPrevClass: 'btn-outline-primary btn-rounded',
                    btnNextClass: 'btn-outline-primary btn-rounded',
                    btnSkipClass: 'btn-outline-warning btn-rounded',
                    btnFinishClass: 'btn-outline-warning btn-rounded',
                    nextLabel: '<i class="fas fa-arrow-right" style="pointer-events: none"></i>',
                    prevLabel: '<i class="fas fa-arrow-left" style="pointer-events: none"></i>',
                    finishLabel: '<i class="fas fa-times" style="pointer-events: none"></i>',
                  },
                ],
                { backdrop: true }
              );
              this.onboardingService.start();
            }
          
          }
          
          
        
    

Popover class

Add custom class for popovers by setting customClass option and style it in your css sheet.


Man in Cap and Glasses

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
          <section
          class="border p-4 d-flex justify-content-center onboarding"
          >
          <div class="container">
            <div class="row justify-content-center">
              <div class="col-md-3 text-center">
                <button class="btn btn-danger" (click)="handleClick()">
                  Start onboarding
                </button>
              </div>
            </div>
            <hr />
            <div class="row d-flex justify-content-center">
              <!-- Card Regular -->
              <div class="col-md-4">
                <div class="card">
                  <!-- Card image -->
                  <img
                    [mdbOnboardingAnchor]="'first-step-custom-class'"
                    class="card-img-top"
                    src="https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp"
                    alt="Man in Cap and Glasses"
                  />
                  <a>
                    <div class="mask rgba-white-slight"></div>
                  </a>
                  <!-- Card content -->
                  <div class="card-body text-center">
                    <!-- Title -->
                    <h4
                      [mdbOnboardingAnchor]="'second-step-custom-class'"
                      class="card-title"
                    >
                      <strong>John Doe</strong>
                    </h4>
                    <!-- Subtitle -->
                    <h6 class="fw-bold py-2">Web developer</h6>
                    <!-- Text -->
                    <p class="card-text">
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex,
                      recusandae. Facere modi sunt, quod quibusdam.
                    </p>
          
                    <div class="d-flex justify-content-evenly">
                      <!-- Facebook -->
                      <a [mdbOnboardingAnchor]="'third-step-custom-class'"
                      href="#!" role="button">
                        <i class="fab fa-facebook-f fa-lg"></i>
                      </a>
                      <!-- Twitter -->
                      <a href="#!" role="button">
                        <i class="fab fa-twitter fa-lg"></i>
                      </a>
                      <!-- Google + -->
                      <a
                        href="#!"
                        role="button"
                      >
                        <i class="fab fa-dribbble fa-lg"></i>
                      </a>
                    </div>
                  </div>
                </div>
              </div>
              <!-- Card Regular -->
            </div>
          </div>
          </section>
          
        
    
        
            
          import { Component } from '@angular/core';
          import { MdbOnboardingService } from 'mdb-angular-onboarding'
          
          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss']
          })
          export class AppComponent {  
            constructor(public onboardingService: MdbOnboardingService) {}
          
            handleClick() {
              this.onboardingService.init(
                [
                  {
                    id: 'first-step-custom-class',
                    content: 'Globally changed button labels',
                    customClass: 'custom-class-individual',
                  },
                  {
                    id: 'second-step-custom-class',
                    content: 'Locally changed control labels',
                  },
                  {
                    id: 'third-step-custom-class',
                    content: 'You can even use our icons inside button labels!',
                  },
                ],
                { customClass: 'custom-class-global' }
              );
              this.onboardingService.start();
            }
          
          }
          
          
        
    

Container example


Man in Cap and Glasses

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

Man in Cap and Glasses

Kate Smith

Graphic designer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

Man in Cap and Glasses

Natalie Code

Backend developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.


Gallery

Mountains in the Clouds
Wintry Mountain Landscape
Mountains in the Clouds
Yosemite National Park
Wintry Mountain Landscape
Yosemite National Park
Man in Cap and Glasses

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

Man in Cap and Glasses

Kate Smith

Graphic designer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

Man in Cap and Glasses

Natalie Code

Backend developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
        <section
        class="border p-4 d-flex justify-content-center onboarding"
        style="max-height: 120vh; overflow-y: auto;"
        #onboardingContainer
        >
        <div class="container">
          <div class="row justify-content-center">
            <div class="col-md-3 text-center">
              <button
                (click)="handleClick()"
                class="btn btn-danger"
                [mdbOnboardingAnchor]="'first-step-container'"
                id="container-starter"
              >
                Watch Demo <i class="fas fa-eye"></i>
              </button>
            </div>
          </div>
          <hr />
        
          <!-- Cards container -->
          <div class="row my-4">
            <!-- Card Regular -->
            <div class="col-md-4">
              <div class="card">
                <!-- Card image -->
                <img
                  class="card-img-top"
                  src="https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp"
                  alt="Man in Cap and Glasses"
                />
                <a>
                  <div class="mask rgba-white-slight"></div>
                </a>
                <!-- Card content -->
                <div class="card-body text-center">
                  <!-- Title -->
                  <h4 class="card-title"><strong>John Doe</strong></h4>
                  <!-- Subtitle -->
                  <h6 class="fw-bold py-2">Web developer</h6>
                  <!-- Text -->
                  <p class="card-text">
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                    Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.
                  </p>
        
                  <div class="d-flex justify-content-evenly">
                    <!-- Facebook -->
                    <a href="#!" role="button">
                      <i class="fab fa-facebook-f fa-lg"></i>
                    </a>
                    <!-- Twitter -->
                    <a href="#!" role="button">
                      <i class="fab fa-twitter fa-lg"></i>
                    </a>
                    <!-- Google + -->
                    <a href="#!" role="button">
                      <i class="fab fa-dribbble fa-lg"></i>
                    </a>
                  </div>
                </div>
              </div>
            </div>
            <!-- Card Regular -->
        
            <!-- Card Regular -->
            <div class="col-md-4">
              <div class="card">
                <!-- Card image -->
                <img
                  class="card-img-top"
                  src="https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp"
                  alt="Man in Cap and Glasses"
                />
                <a>
                  <div class="mask rgba-white-slight"></div>
                </a>
                <!-- Card content -->
                <div class="card-body text-center">
                  <!-- Title -->
                  <h4 class="card-title"><strong>Kate Smith</strong></h4>
                  <!-- Subtitle -->
                  <h6 class="fw-bold py-2">Graphic designer</h6>
                  <!-- Text -->
                  <p class="card-text">
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                    Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.
                  </p>
        
                  <div class="d-flex justify-content-evenly">
                    <!-- Facebook -->
                    <a href="#!" role="button">
                      <i class="fab fa-facebook-f fa-lg"></i>
                    </a>
                    <!-- Twitter -->
                    <a href="#!" role="button">
                      <i class="fab fa-twitter fa-lg"></i>
                    </a>
                    <!-- Google + -->
                    <a href="#!" role="button">
                      <i class="fab fa-dribbble fa-lg"></i>
                    </a>
                  </div>
                </div>
              </div>
            </div>
            <!-- Card Regular -->
            <!-- Card Regular -->
            <div class="col-md-4">
              <div class="card">
                <!-- Card image -->
                <img
                  class="card-img-top"
                  src="https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp"
                  alt="Man in Cap and Glasses"
                />
                <a>
                  <div class="mask rgba-white-slight"></div>
                </a>
                <!-- Card content -->
                <div class="card-body text-center">
                  <!-- Title -->
                  <h4 class="card-title"><strong>Natalie Code</strong></h4>
                  <!-- Subtitle -->
                  <h6 class="fw-bold py-2">Backend developer</h6>
                  <!-- Text -->
                  <p class="card-text">
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                    Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.
                  </p>
        
                  <div class="d-flex justify-content-evenly">
                    <!-- Facebook -->
                    <a href="#!" role="button">
                      <i class="fab fa-facebook-f fa-lg"></i>
                    </a>
                    <!-- Twitter -->
                    <a href="#!" role="button">
                      <i class="fab fa-twitter fa-lg"></i>
                    </a>
                    <!-- Google + -->
                    <a href="#!" role="button">
                      <i class="fab fa-dribbble fa-lg"></i>
                    </a>
                  </div>
                </div>
              </div>
            </div>
            <!-- Card Regular -->
          </div>
          <!-- Cards container -->
        
          <hr />
        
          <h4 class="text-center my-4"
          [mdbOnboardingAnchor]="'third-step-container'"
          >
            Gallery
          </h4>
        
          <!-- Gallery -->
          <div
            class="row"
            [mdbOnboardingAnchor]="'fourth-step-container'"
          >
          <!-- Grid row -->
          <div class="my-3 row">
            <!-- Grid column -->
            <div class="mb-3 col-md-4">
              <img
                class="img-fluid"
                src="https://mdbcdn.b-cdn.net/img/Photos/Vertical/mountain2.webp"
                alt="Mountains in the Clouds"
              />
            </div>
            <!-- Grid column -->
        
            <!-- Grid column -->
            <div class="mb-3 col-md-4">
              <img
                class="img-fluid"
                src="https://mdbcdn.b-cdn.net/img/Photos/Vertical/mountain1.webp"
                alt="Wintry Mountain Landscape"
              />
            </div>
            <!-- Grid column -->
        
            <!-- Grid column -->
            <div class="mb-3 col-md-4">
              <img
                class="img-fluid"
                src="https://mdbcdn.b-cdn.net/img/Photos/Vertical/mountain2.webp"
                alt="Mountains in the Clouds"
              />
            </div>
            <!-- Grid column -->
          </div>
          <!-- Grid row -->
        
          <!-- Grid row -->
          <div class="my-3 row">
            <!-- Grid column -->
            <div
              class="mb-3 col-md-4"
              [mdbOnboardingAnchor]="'second-step-container'"
            >
              <img
                class="img-fluid"
                src="https://mdbcdn.b-cdn.net/img/Photos/Vertical/mountain3.webp"
                alt="Yosemite National Park"
              />
            </div>
            <!-- Grid column -->
        
            <!-- Grid column -->
            <div class="mb-3 col-md-4">
              <img
                class="img-fluid"
                src="https://mdbcdn.b-cdn.net/img/Photos/Vertical/mountain1.webp"
                alt="Wintry Mountain Landscape"
              />
            </div>
            <!-- Grid column -->
        
            <!-- Grid column -->
            <div class="mb-3 col-md-4">
              <img
                class="img-fluid"
                src="https://mdbcdn.b-cdn.net/img/Photos/Vertical/mountain3.webp"
                alt="Yosemite National Park"
              />
            </div>
            <!-- Grid column -->
          </div>
          <!-- Grid row -->
        </div>
        <!-- Gallery -->
        <!-- Cards container -->
        <div class="row my-4"
        [mdbOnboardingAnchor]="'fifth-step-container'"
        >
          <!-- Card Regular -->
          <div class="col-md-4">
            <div class="card">
              <!-- Card image -->
              <img
                class="card-img-top"
                src="https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp"
                alt="Man in Cap and Glasses"
              />
              <a>
                <div class="mask rgba-white-slight"></div>
              </a>
              <!-- Card content -->
              <div class="card-body text-center">
                <!-- Title -->
                <h4 class="card-title"><strong>John Doe</strong></h4>
                <!-- Subtitle -->
                <h6 class="fw-bold py-2">Web developer</h6>
                <!-- Text -->
                <p class="card-text">
                  Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                  Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.
                </p>
        
                <div class="d-flex justify-content-evenly">
                  <!-- Facebook -->
                  <a href="#!" role="button">
                    <i class="fab fa-facebook-f fa-lg"></i>
                  </a>
                  <!-- Twitter -->
                  <a href="#!" role="button">
                    <i class="fab fa-twitter fa-lg"></i>
                  </a>
                  <!-- Google + -->
                  <a href="#!" role="button">
                    <i class="fab fa-dribbble fa-lg"></i>
                  </a>
                </div>
              </div>
            </div>
          </div>
          <!-- Card Regular -->
        
          <!-- Card Regular -->
          <div class="col-md-4">
            <div class="card">
              <!-- Card image -->
              <img
                class="card-img-top"
                src="https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp"
                alt="Man in Cap and Glasses"
              />
              <a>
                <div class="mask rgba-white-slight"></div>
              </a>
              <!-- Card content -->
              <div class="card-body text-center">
                <!-- Title -->
                <h4 class="card-title"><strong>Kate Smith</strong></h4>
                <!-- Subtitle -->
                <h6 class="fw-bold py-2">Graphic designer</h6>
                <!-- Text -->
                <p class="card-text">
                  Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                  Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.
                </p>
        
                <div class="d-flex justify-content-evenly">
                  <!-- Facebook -->
                  <a href="#!" role="button">
                    <i class="fab fa-facebook-f fa-lg"></i>
                  </a>
                  <!-- Twitter -->
                  <a href="#!" role="button">
                    <i class="fab fa-twitter fa-lg"></i>
                  </a>
                  <!-- Google + -->
                  <a href="#!" role="button">
                    <i class="fab fa-dribbble fa-lg"></i>
                  </a>
                </div>
              </div>
            </div>
          </div>
          <!-- Card Regular -->
          <!-- Card Regular -->
          <div class="col-md-4">
            <div class="card">
              <!-- Card image -->
              <img
                class="card-img-top"
                src="https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp"
                alt="Man in Cap and Glasses"
              />
              <a>
                <div class="mask rgba-white-slight"></div>
              </a>
              <!-- Card content -->
              <div class="card-body text-center">
                <!-- Title -->
                <h4 class="card-title"><strong>Natalie Code</strong></h4>
                <!-- Subtitle -->
                <h6 class="fw-bold py-2">Backend developer</h6>
                <!-- Text -->
                <p class="card-text">
                  Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                  Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.
                </p>
        
                <div class="d-flex justify-content-evenly">
                  <!-- Facebook -->
                  <a href="#!" role="button">
                    <i class="fab fa-facebook-f fa-lg"></i>
                  </a>
                  <!-- Twitter -->
                  <a href="#!" role="button">
                    <i class="fab fa-twitter fa-lg"></i>
                  </a>
                  <!-- Google + -->
                  <a href="#!" role="button">
                    <i class="fab fa-dribbble fa-lg"></i>
                  </a>
                </div>
              </div>
            </div>
          </div>
          <!-- Card Regular -->
        </div>
        <!-- Cards container -->
        </div>
        </section>
        
        
    
        
            
        import { Component, ElementRef, ViewChild } from '@angular/core';
        import { MdbOnboardingService } from 'mdb-angular-onboarding'

        @Component({
          selector: 'app-root',
          templateUrl: './app.component.html',
          styleUrls: ['./app.component.scss']
        })
        export class AppComponent {  
          @ViewChild('onboardingContainer') onboardingContainer!: ElementRef<any>;

          constructor(public onboardingService: MdbOnboardingService) {}

          handleClick() {
            this.onboardingService.init(
              [ 
                {
                  id: 'first-step-container',
                  content: 'Backdrop is set to false by default',
                },
                {
                  id: 'second-step-container',
                  content:
                    'Backdrop options set in Onboarding container will be passed to each step element inside it',
                },
                {
                  id: 'third-step-container',
                  content: 'Backdrop is set to false by default',
                },
                {
                  id: 'fourth-step-container',
                  content: 'Backdrop is set to false by default',
                },
                {
                  id: 'fifth-step-container',
                  content: 'Backdrop is set to false by default',
                },
              ],
              { backdrop: true, container: this.onboardingContainer }
            );
            this.onboardingService.start();
          }

        }

        
        
    

Index example


Man in Cap and Glasses

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
            <section class="border p-4 d-flex justify-content-center">
              <div class="container">
                <div class="row justify-content-center">
                  <div class="col-md-3 text-center">
                    <button
                      class="btn btn-danger"
                      (click)="handleClick()"
                      [mdbOnboardingAnchor]="'first-step-index'"
                    >
                      Start onboarding
                    </button>
                  </div>
                </div>
                <hr />
                <div class="row d-flex justify-content-center">
                  <!-- Card Regular -->
                  <div class="col-md-4">
                    <div class="card">
                      <!-- Card image -->
                      <img
                        [mdbOnboardingAnchor]="'second-step-index'"
                        class="card-img-top"
                        src="https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp"
                        alt="Man in Cap and Glasses"
                      />
                      <a>
                        <div class="mask rgba-white-slight"></div>
                      </a>
                      <!-- Card content -->
                      <div class="card-body text-center">
                        <!-- Title -->
                        <h4 class="card-title">
                          <strong>John Doe</strong>
                        </h4>
                        <!-- Subtitle -->
                        <h6 class="fw-bold py-2">Web developer</h6>
                        <!-- Text -->
                        <p
                          [mdbOnboardingAnchor]="'third-step-index'"
                          class="card-text"
                        >
                          Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex,
                          recusandae. Facere modi sunt, quod quibusdam.
                        </p>

                        <div class="d-flex justify-content-evenly">
                          <!-- Facebook -->
                          <a href="#!" role="button"
                          [mdbOnboardingAnchor]="'fourth-step-index'"
                          
                          >
                            <i class="fab fa-facebook-f fa-lg"></i>
                          </a>
                          <!-- Twitter -->
                          <a href="#!" role="button">
                            <i class="fab fa-twitter fa-lg"></i>
                          </a>
                          <!-- Google + -->
                          <a href="#!" role="button">
                            <i class="fab fa-dribbble fa-lg"></i>
                          </a>
                        </div>
                      </div>
                    </div>
                  </div>
                  <!-- Card Regular -->
                </div>
              </div>
            </section>
          
          
        
    
        
            
          import { Component } from '@angular/core';
          import { MdbOnboardingService } from 'mdb-angular-onboarding'
          
          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss']
          })
          export class AppComponent {  
            constructor(public onboardingService: MdbOnboardingService) {}
          
            handleClick() {
              this.onboardingService.init([
                { id: 'first-step-index', content: 'This is the first step in the object' },
                {
                  id: 'second-step-index',
                  content: 'This is the second step in the object',
                  index: 3,
                },
                { id: 'third-step-index', content: 'This is the third step in the object', index: 2 },
                { id: 'fourth-step-index', content: 'This is the fourth step in the object', index: 2 },
              ]);
              this.onboardingService.start();
            }
          
          }
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Onboarding - API


Installation

To install and configure the plugin follow our Plugins Installation Guide. Please remember to update all the plugin names and import paths. You can find all the necessary information in the Import section.

        
            
     npm i git+https://oauth2:ACCESS_TOKEN@git.mdbootstrap.com/mdb/angular/mdb5/plugins/prd/onboarding
     
        
    

Import

        
            
      import { MdbOnboardingModule } from 'mdb-angular-onboarding';
      …
      @NgModule ({
        ...
        imports: [MdbOnboardingModule],
        ...
      })
      
        
    

Inputs

MdbOnboardingDirective

Name Type Default Description
mdbOnboardingAnchor string '' Marks the element as an anchor to be referenced later in an id option

Outputs

MdbOnboardingService

Name Type Description
onboardingStart EventEmitter<void> Emitted when an Onboarding has started.
onboardingEnd EventEmitter<void> Emitted when the last step of the Onboarding has ended.
onboardingOpen EventEmitter<void> Emitted when a step element has opened.
onboardingClose EventEmitter<void> Emitted when a step element has closed
onboardingNext EventEmitter<void> Emitted when next step is about to be opened.
onboardingPrev EventEmitter<void> Emitted when previous step is about to be opened.
        
            
              <div class="container">
                <div class="row justify-content-center">
                  <div class="col-md-3 text-center">
                    <button
                      class="btn btn-danger"
                      (click)="handleClick()"
                      [mdbOnboardingAnchor]="'first-step'"
                    >
                      Start onboarding
                    </button>
                  </div>
                </div>
                <hr />
                <div class="row d-flex justify-content-center">
                  <!-- Card Regular -->
                  <div class="col-md-4">
                    <div class="card">
                      <!-- Card image -->
                      <img
                        [mdbOnboardingAnchor]="'second-step'"
                        class="card-img-top"
                        src="https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp"
                        alt="Man in Cap and Glasses"
                      />
                      <a>
                        <div class="mask rgba-white-slight"></div>
                      </a>
                      <!-- Card content -->
                      <div class="card-body text-center">
                        <!-- Title -->
                        <h4 class="card-title">
                          <strong>John Doe</strong>
                        </h4>
                        <!-- Subtitle -->
                        <h6 class="fw-bold indigo-text py-2">Web developer</h6>
                        <!-- Text -->
                        <p [mdbOnboardingAnchor]="'third-step'" class="card-text">
                          Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                          Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.
                        </p>
              
                        <div class="d-flex justify-content-evenly">
                          <!-- Facebook -->
                          <a href="#!" role="button">
                            <i class="fab fa-facebook-f fa-lg"></i>
                          </a>
                          <!-- Twitter -->
                          <a href="#!" role="button">
                            <i class="fab fa-twitter fa-lg"></i>
                          </a>
                          <!-- Google + -->
                          <a href="#!" role="button">
                            <i class="fab fa-dribbble fa-lg"></i>
                          </a>
                        </div>
                      </div>
                    </div>
                  </div>
                  <!-- Card Regular -->
                </div>
              </div>
                                                    
              
        
    
        
            
              import { Component, OnInit } from '@angular/core';
              import { MdbOnboardingService } from 'mdb-angular-onboarding';
              
              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
                styleUrls: ['./app.component.scss'],
              })
              export class AppComponent implements OnInit {
                constructor(public onboardingService: MdbOnboardingService) {}
                ngOnInit(): void {
                  this.onboardingService.onboardingStart.subscribe(() =>
                    console.log('on onboarding start')
                  );
                }
                handleClick() {
                  this.onboardingService.init([
                    {
                      id: 'first-step',
                      content: 'This button has just started your onboarding',
                    },
                    {
                      id: 'second-step',
                      content:
                        'This is just basic example of initial onboarding options and configurations',
                    },
                    {
                      id: 'third-step',
                      content: 'There is many more options in the examples below',
                    },
                  ]);
                  this.onboardingService.start();
                }
              }                                                   
              
        
    

Methods

MdbOnboardingService

Name Description Example
init(steps, config?) Initializes the Onboarding with given steps: MdbOnboardingStep[] and config: MdbOnboardingConfig. onboardingService.init(steps, options);
close Closes opened step popover. onboardingService.close()
nextStep Opens next step popover. onboardingService.nextStep()
prevStep Opens previous step popover. onboardingService.prevStep()
pause Pauses Onboarding on current step when autoplay is on. onboardingService.pause()
resume Resumes Onboarding on current step when autoplay is on. onboardingService.resume()
        
            
              <div class="container">
                <div class="row justify-content-center">
                  <div class="col-md-3 text-center">
                    <button
                      class="btn btn-danger"
                      (click)="handleClick()"
                      [mdbOnboardingAnchor]="'first-step'"
                    >
                      Start onboarding
                    </button>
                  </div>
                </div>
                <hr />
                <div class="row d-flex justify-content-center">
                  <!-- Card Regular -->
                  <div class="col-md-4">
                    <div class="card">
                      <!-- Card image -->
                      <img
                        [mdbOnboardingAnchor]="'second-step'"
                        class="card-img-top"
                        src="https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp"
                        alt="Man in Cap and Glasses"
                      />
                      <a>
                        <div class="mask rgba-white-slight"></div>
                      </a>
                      <!-- Card content -->
                      <div class="card-body text-center">
                        <!-- Title -->
                        <h4 class="card-title">
                          <strong>John Doe</strong>
                        </h4>
                        <!-- Subtitle -->
                        <h6 class="fw-bold indigo-text py-2">Web developer</h6>
                        <!-- Text -->
                        <p [mdbOnboardingAnchor]="'third-step'" class="card-text">
                          Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                          Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.
                        </p>
              
                        <div class="d-flex justify-content-evenly">
                          <!-- Facebook -->
                          <a href="#!" role="button">
                            <i class="fab fa-facebook-f fa-lg"></i>
                          </a>
                          <!-- Twitter -->
                          <a href="#!" role="button">
                            <i class="fab fa-twitter fa-lg"></i>
                          </a>
                          <!-- Google + -->
                          <a href="#!" role="button">
                            <i class="fab fa-dribbble fa-lg"></i>
                          </a>
                        </div>
                      </div>
                    </div>
                  </div>
                  <!-- Card Regular -->
                </div>
              </div>
                                                    
              
        
    
        
            
              import { Component } from '@angular/core';
              import { MdbOnboardingService } from 'mdb-angular-onboarding';
              
              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
                styleUrls: ['./app.component.scss'],
              })
              export class AppComponent {
                constructor(public onboardingService: MdbOnboardingService) {}

                handleClick() {
                  this.onboardingService.init([
                    {
                      id: 'first-step',
                      content: 'This button has just started your onboarding',
                    },
                    {
                      id: 'second-step',
                      content:
                        'This is just basic example of initial onboarding options and configurations',
                    },
                    {
                      id: 'third-step',
                      content: 'There is many more options in the examples below',
                    },
                  ]);
                  this.onboardingService.start();
                }
              }                                                   
              
        
    

Advanced types

MdbOnboardingConfig

Name Type Default Description
backdrop boolean | undefined false Defines whether backdrop should be rendered
backdropOpacity number | undefined 0.4 Defines the backdrop opacity
nextLabel string | undefined 'Next' Overwrites label of the 'Next' button
prevLabel string | undefined 'Back' Overwrites label of the 'Back' button
skipLabel string | undefined 'Skip' Overwrites label of the 'Skip' button
finishLabel string | undefined 'Finish' Overwrites label of the 'Finish' button
pauseLabel string | undefined 'Pause' Overwrites label of the 'Pause' button
resumeLabel string | undefined 'Resume' Overwrites label of the 'Resume' button
btnNextClass string | undefined 'btn-primary' Overwrites class of the 'Next' button
btnPrevClass string | undefined 'btn-primary' Overwrites class of the 'Back' button
btnSkipClass string | undefined 'btn-danger' Overwrites class of the 'Skip' button
btnFinishClass string | undefined 'btn-danger' Overwrites class of the 'Finish' button
btnPauseClass string | undefined 'btn-primary' Overwrites class of the 'Pause' button
btnResumeClass string | undefined 'btn-success' Overwrites class of the 'Resume' button
customClass string | undefined '' Custom class for the popover
autoplay boolean | undefined false Defines whether autoplay is on or off
stepDuration number | undefined 4 Defines the duration of a step for the autoplay in seconds
autoscroll boolean | undefined true Defines whether window should automatically scroll into opened step position
placement 'top' | 'right' | 'bottom' | 'left' | undefined 'bottom' Defines placement of step popover
container ElementRef | null | undefined null Defines wrapper element for onboarding
delay number | undefined undefined Defines time in seconds after which Onboarding will start.
index number | undefined 1 Defines index number for step element

MdbOnboardingStep

Note: Due to its complexity, we present this advanced type in the form of a snippet rather than a table.

        
            
            export interface MdbOnboardingStep {
              id: string;
              content: string;
              backdrop?: boolean;
              backdropOpacity?: number;
              nextLabel?: string;
              prevLabel?: string;
              skipLabel?: string;
              finishLabel?: string;
              pauseLabel?: string;
              resumeLabel?: string;
              btnNextClass?: string;
              btnPrevClass?: string;
              btnSkipClass?: string;
              btnFinishClass?: string;
              btnPauseClass?: string;
              btnResumeClass?: string;
              customClass?: string | string[];
              autoplay?: boolean;
              stepDuration?: number;
              autoscroll?: boolean;
              placement?: 'top' | 'right' | 'bottom' | 'left';
              container?: ElementRef<any> | null;
              delay?: number;
              index?: number;
            }

Onboarding

React 5 Onboarding plugin

Onboarding is a guide plugin to show users how to use your website

Responsive Onboarding plugin built with the latest Bootstrap 5. It is is a guide plugin to show users how to use your website.

Note: Read the API tab to find all available options and advanced customization


Basic example

To initialize Onboarding on your page simply use MDBOnboarding component. Specify steps by passing the specific array.


Card image cap

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
            import React from 'react';
            import {
              MDBContainer,
              MDBCol,
              MDBRow,
              MDBBtn,
              MDBCard,
              MDBCardBody,
              MDBCardTitle,
              MDBCardText,
              MDBIcon,
            } from 'mdb-react-ui-kit';
            import { MDBOnboarding } from 'mdb-react-onboarding';

            export default function App() {
              const basicRef1 = useRef(null);
              const basicRef2 = useRef(null);
              const basicRef3 = useRef(null);

              return (
                <MDBOnboarding
                  starter={basicRef1}
                  steps={[
                    {
                      ref: basicRef1,
                      content: 'This button has just started your onboarding',
                    },
                    {
                      ref: basicRef2,
                      content: 'This is just basic example of initial onboarding options and configurations',
                    },
                    {
                      ref: basicRef3,
                      content: 'There is many more options in the examples below',
                    },
                  ]}
                >
                  <MDBContainer>
                    <MDBRow className='justify-content-center'>
                      <MDBCol md='3' className='text-center'>
                        <MDBBtn ref={basicRef1} color='danger'>
                          Start onboarding
                        </MDBBtn>
                      </MDBCol>
                    </MDBRow>
                    <hr />
                    <MDBRow className='d-flex justify-content-center'>
                      <MDBCol md='4'>
                        <MDBCard>
                          <img
                            className='card-img-top'
                            src='https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp'
                            alt='Man in Cap and Glasses'
                          />
                          <a>
                            <div className='mask rgba-white-slight'></div>
                          </a>

                          <MDBCardBody className='text-center'>
                            <MDBCardTitle ref={basicRef2}>
                              <strong>John Doe</strong>
                            </MDBCardTitle>

                            <h6 className='fw-bold indigo-text py-2'>Web developer</h6>

                            <MDBCardText>
                              Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere
                              modi sunt, quod quibusdam.
                            </MDBCardText>

                            <div className='d-flex justify-content-evenly'>
                              <a href='#!' role='button'>
                                <MDBIcon fab icon="facebook-f" size="lg" /> 
                              </a>

                              <a href='#!' role='button'>
                                <MDBIcon fab icon="twitter" size="lg" />
                              </a>

                              <a href='#!' role='button' ref={basicRef3}>
                                <MDBIcon fab icon="dribbble" size="lg" />
                              </a>
                            </div>
                          </MDBCardBody>
                        </MDBCard>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                </MDBOnboarding>
              );
            }
          
        
    

Start options

Autostart

Onboarding can be auto initialized by passing number type value to starter property. The onboarding will start after the countdown.

Onboarding will start in: 3


Card image cap

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
            import React from 'react';
            import {
              MDBContainer,
              MDBCol,
              MDBRow,
              MDBBtn,
              MDBCard,
              MDBCardBody,
              MDBCardTitle,
              MDBCardText,
              MDBIcon,
            } from 'mdb-react-ui-kit';
            import { MDBOnboarding } from 'mdb-react-onboarding';

            export default function App() {
              const autoRef1 = useRef(null);
              const autoRef2 = useRef(null);
              const autoRef3 = useRef(null);

              return (
                <MDBOnboarding
                  starter={3}
                  steps={[
                    {
                      ref: autoRef1,
                      content: 'Example of autostarted onboarding experience',
                    },
                    {
                      ref: autoRef2,
                      content: 'Pass delay time in seconds to autostart onboarding',
                    },
                    {
                      ref: autoRef3,
                      content: 'Delay time will also work with other starting options',
                    },
                  ]}
                >
                  <MDBContainer>
                    <hr />
                    <MDBRow className='d-flex justify-content-center'>
                      <MDBCol md='4'>
                        <MDBCard>
                          <img
                            className='card-img-top'
                            src='https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp'
                            alt='Man in Cap and Glasses'
                            ref={autoRef1}
                          />
                          <a>
                            <div className='mask rgba-white-slight'></div>
                          </a>

                          <MDBCardBody className='text-center'>
                            <MDBCardTitle ref={autoRef2}>
                              <strong>John Doe</strong>
                            </MDBCardTitle>

                            <h6 className='fw-bold indigo-text py-2'>Web developer</h6>

                            <MDBCardText>
                              Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae.
                              Facere modi sunt, quod quibusdam.
                            </MDBCardText>

                            <div className='d-flex justify-content-evenly'>
                              <a href='#!' role='button'>
                                <MDBIcon fab icon="facebook-f" size="lg" /> 
                              </a>

                              <a href='#!' role='button'>
                                <MDBIcon fab icon="twitter" size="lg" />
                              </a>

                              <a href='#!' role='button' ref={basicRef3}>
                                <MDBIcon fab icon="dribbble" size="lg" />
                              </a>
                            </div>
                          </MDBCardBody>
                        </MDBCard>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                </MDBOnboarding>
              );
            }
          
        
    

Event triggered start

Set starterType property to mouseenter to start on hover.


Card image cap

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
              import React from 'react';
              import {
                MDBContainer,
                MDBCol,
                MDBRow,
                MDBBtn,
                MDBCard,
                MDBCardBody,
                MDBCardTitle,
                MDBCardText,
                MDBIcon,
              } from 'mdb-react-ui-kit';
              import { MDBOnboarding } from 'mdb-react-onboarding';

              export default function App() {
                const hoverStarter = useRef(null);
                const hoverRef1 = useRef(null);
                const hoverRef2 = useRef(null);

                return (
                  <MDBOnboarding
                    starter={hoverStarter}
                    starterType='mouseenter'
                    steps={[
                      {
                        ref: hoverRef1,
                        content: 'You can use events such as "click" or "mouseover"',
                      },
                      {
                        ref: hoverRef2,
                        content: 'You can even use "load" event on a window element!',
                      },
                    ]}
                  >
                    <MDBContainer>
                      <MDBRow className='justify-content-center'>
                        <MDBCol md='3' className='text-center'>
                          <MDBBtn ref={hoverStarter} color='danger'>
                            Start onboarding
                          </MDBBtn>
                        </MDBCol>
                      </MDBRow>
                      <hr />
                      <MDBRow className='d-flex justify-content-center'>
                        <MDBCol md='4'>
                          <MDBCard>
                            <img
                              className='card-img-top'
                              src='https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp'
                              alt='Man in Cap and Glasses'
                              ref={hoverRef1}
                            />
                            <a>
                              <div className='mask rgba-white-slight'></div>
                            </a>

                            <MDBCardBody className='text-center'>
                              <MDBCardTitle ref={hoverRef2}>
                                <strong>John Doe</strong>
                              </MDBCardTitle>

                              <h6 className='fw-bold indigo-text py-2'>Web developer</h6>

                              <MDBCardText>
                                Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae.
                                Facere modi sunt, quod quibusdam.
                              </MDBCardText>

                              <div className='d-flex justify-content-evenly'>
                                <a href='#!' role='button'>
                                  <MDBIcon fab icon="facebook-f" size="lg" /> 
                                </a>
  
                                <a href='#!' role='button'>
                                  <MDBIcon fab icon="twitter" size="lg" />
                                </a>
  
                                <a href='#!' role='button' ref={basicRef3}>
                                  <MDBIcon fab icon="dribbble" size="lg" />
                                </a>
                              </div>
                            </MDBCardBody>
                          </MDBCard>
                        </MDBCol>
                      </MDBRow>
                    </MDBContainer>
                  </MDBOnboarding>
                );
              }
            
        
    

Backdrop options

Global backdrop

Backdrop for every step inside Onboarding can be set via backdrop and backdropOpacity properties


Card image cap

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
              import React from 'react';
              import {
                MDBContainer,
                MDBCol,
                MDBRow,
                MDBBtn,
                MDBCard,
                MDBCardBody,
                MDBCardTitle,
                MDBCardText,
                MDBIcon,
              } from 'mdb-react-ui-kit';
              import { MDBOnboarding } from 'mdb-react-onboarding';

              export default function App() {
                const backdropStarter = useRef(null);
                const backdropRef1 = useRef(null);
                const backdropRef2 = useRef(null);
                const backdropRef3 = useRef(null);

                return (
                  <MDBOnboarding
                    starter={backdropStarter}
                    backdrop
                    steps={[
                      {
                        ref: backdropRef1,
                        content: 'Backdrop is set to false by default',
                      },
                      {
                        ref: backdropRef2,
                        content: 'Backdrop options set in Onboarding container will be passed to each step element inside it',
                      },
                      {
                        ref: backdropRef3,
                        content:
                          'If you want to set global backdrop but turn it off for one step use options for individual step from the next example',
                      },
                    ]}
                  >
                    <MDBContainer>
                      <MDBRow className='justify-content-center'>
                        <MDBCol md='3' className='text-center'>
                          <MDBBtn ref={backdropStarter} color='danger'>
                            Start onboarding
                          </MDBBtn>
                        </MDBCol>
                      </MDBRow>
                      <hr />
                      <MDBRow className='d-flex justify-content-center'>
                        <MDBCol md='4'>
                          <MDBCard>
                            <img
                              className='card-img-top'
                              src='https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp'
                              alt='Man in Cap and Glasses'
                              ref={backdropRef1}
                            />
                            <a>
                              <div className='mask rgba-white-slight'></div>
                            </a>

                            <MDBCardBody className='text-center'>
                              <MDBCardTitle ref={backdropRef2}>
                                <strong>John Doe</strong>
                              </MDBCardTitle>

                              <h6 className='fw-bold indigo-text py-2'>Web developer</h6>

                              <MDBCardText>
                                Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere
                                modi sunt, quod quibusdam.
                              </MDBCardText>

                              <div className='d-flex justify-content-evenly'>
                                <a href='#!' role='button'>
                                  <MDBIcon fab icon="facebook-f" size="lg" /> 
                                </a>
  
                                <a href='#!' role='button'>
                                  <MDBIcon fab icon="twitter" size="lg" />
                                </a>
  
                                <a href='#!' role='button' ref={basicRef3}>
                                  <MDBIcon fab icon="dribbble" size="lg" />
                                </a>
                              </div>
                            </MDBCardBody>
                          </MDBCard>
                        </MDBCol>
                      </MDBRow>
                    </MDBContainer>
                  </MDBOnboarding>
                );
              }
            
        
    

Individual step backdrop

Indivudal backdrop options can be set with steps array.


Card image cap

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
              import React from 'react';
              import {
                MDBContainer,
                MDBCol,
                MDBRow,
                MDBBtn,
                MDBCard,
                MDBCardBody,
                MDBCardTitle,
                MDBCardText,
                MDBIcon,
              } from 'mdb-react-ui-kit';
              import { MDBOnboarding } from 'mdb-react-onboarding';

              export default function App() {
                const backdropCustomStarter = useRef(null);
                const backdropCustomRef1 = useRef(null);
                const backdropCustomRef2 = useRef(null);
                const backdropCustomRef3 = useRef(null);

                return (
                  <MDBOnboarding
                    starter={backdropCustomStarter}
                    backdrop
                    steps={[
                      {
                        ref: backdropCustomRef1,
                        content:
                          'Individual step options have higher specificity than global. Setting backdrop to a single step will override its global backdrop options',
                      },
                      {
                        ref: backdropCustomRef2,
                        content: 'This element has backdrop with opacity 0.2',
                        backdropOpacity: 0.2,
                      },
                      {
                        ref: backdropCustomRef3,
                        content: 'And this element has backdrop with opacity 0.8',
                        backdropOpacity: 0.8,
                      },
                    ]}
                  >
                    <MDBContainer>
                      <MDBRow className='justify-content-center'>
                        <MDBCol md='3' className='text-center'>
                          <MDBBtn ref={backdropCustomStarter} color='danger'>
                            Start onboarding
                          </MDBBtn>
                        </MDBCol>
                      </MDBRow>
                      <hr />
                      <MDBRow className='d-flex justify-content-center'>
                        <MDBCol md='4'>
                          <MDBCard>
                            <img
                              className='card-img-top'
                              src='https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp'
                              alt='Man in Cap and Glasses'
                              ref={backdropCustomRef1}
                            />
                            <a>
                              <div className='mask rgba-white-slight'></div>
                            </a>

                            <MDBCardBody className='text-center'>
                              <MDBCardTitle ref={backdropCustomRef2}>
                                <strong>John Doe</strong>
                              </MDBCardTitle>

                              <h6 className='fw-bold indigo-text py-2'>Web developer</h6>

                              <MDBCardText>
                                Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere
                                modi sunt, quod quibusdam.
                              </MDBCardText>

                              <div className='d-flex justify-content-evenly'>
                                <a href='#!' role='button'>
                                  <MDBIcon fab icon="facebook-f" size="lg" /> 
                                </a>
  
                                <a href='#!' role='button'>
                                  <MDBIcon fab icon="twitter" size="lg" />
                                </a>
  
                                <a href='#!' role='button' ref={basicRef3}>
                                  <MDBIcon fab icon="dribbble" size="lg" />
                                </a>
                              </div>
                            </MDBCardBody>
                          </MDBCard>
                        </MDBCol>
                      </MDBRow>
                    </MDBContainer>
                  </MDBOnboarding>
                );
              }
            
        
    

Autoplay

Add autoplay property in steps array to change the step after some time.


Card image cap

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
            import React from 'react';
            import {
              MDBContainer,
              MDBCol,
              MDBRow,
              MDBBtn,
              MDBCard,
              MDBCardBody,
              MDBCardTitle,
              MDBCardText,
              MDBIcon,
            } from 'mdb-react-ui-kit';
            import { MDBOnboarding } from 'mdb-react-onboarding';

            export default function App() {
              const autoplayRef1 = useRef(null);
              const autoplayRef2 = useRef(null);
              const autoplayRef3 = useRef(null);
              const autoplayRef4 = useRef(null);

              return (
                <MDBOnboarding
                  starter={autoplayRef1}
                  steps={[
                    { ref: autoplayRef1, content: 'This step has globally set duration for 2 seconds', autoplay: 2 },
                    {
                      ref: autoplayRef2,
                      content: 'This step has overriden duration with data-mdb-duration attribute set to 4 seconds',
                      autoplay: 4,
                    },
                    {
                      ref: autoplayRef3,
                      content: (
                        <>
                          This step has not set <code>autoplay</code>. Click next or use arrow to open next step
                        </>
                      ),
                    },
                    {
                      ref: autoplayRef4,
                      content: 'This step will automatically close after 5 seconds',
                      autoplay: 5,
                    },
                  ]}
                >
                  <MDBContainer>
                    <div className='row justify-content-center'>
                      <div className='col-md-3 text-center'>
                        <MDBBtn ref={autoplayRef1} color='danger'>
                          Start onboarding
                        </MDBBtn>
                      </div>
                    </div>
                    <hr />
                    <MDBRow className='d-flex justify-content-center'>
                      <MDBCol md='4'>
                        <MDBCard>
                          <img
                            className='card-img-top'
                            src='https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp'
                            alt='Man in Cap and Glasses'
                          />
                          <a>
                            <div className='mask rgba-white-slight'></div>
                          </a>
      
                          <MDBCardBody className='text-center'>
                            <MDBCardTitle ref={autoplayRef2}>
                              <strong>John Doe</strong>
                            </MDBCardTitle>
      
                            <h6 className='fw-bold indigo-text py-2'>Web developer</h6>
      
                            <MDBCardText ref={autoplayRef3}>
                              Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere
                              modi sunt, quod quibusdam.
                            </MDBCardText>
      
                            <div className='d-flex justify-content-evenly'>
                              <a href='#!' role='button'>
                                <MDBIcon fab icon="facebook-f" size="lg" /> 
                              </a>

                              <a href='#!' role='button'>
                                <MDBIcon fab icon="twitter" size="lg" />
                              </a>

                              <a href='#!' role='button' ref={basicRef3}>
                                <MDBIcon fab icon="dribbble" size="lg" />
                              </a>
                            </div>
                          </MDBCardBody>
                        </MDBCard>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                </MDBOnboarding>
              );
            }
          
        
    

Autoscroll

Toggle auto scrolling into element that is outside the view with autoscroll property.


Scroll from this
... to that
        
            
            import React from 'react';
            import {
              MDBContainer,
              MDBCol,
              MDBRow,
              MDBBtn
            } from 'mdb-react-ui-kit';
            import { MDBOnboarding } from 'mdb-react-onboarding';

            export default function App() {
              const autoscrollStarter = useRef(null);
              const autoscrollRef1 = useRef(null);
              const autoscrollRef2 = useRef(null);

              return (
                <MDBOnboarding
                  starter={autoscrollStarter}
                  steps={[
                    { ref: autoscrollRef1, content: 'Autoscroll is set to true by default' },
                    {
                      ref: autoscrollRef2,
                      content: 'To disable it for single step use autoscroll={false} property on that element',
                    },
                  ]}
                  backdrop
                >
                  <MDBContainer>
                    <MDBRow className='justify-content-center'>
                      <MDBCol md="3" className='text-center'>
                        <MDBBtn ref={autoscrollStarter} color='danger'>
                          Start onboarding
                        </MDBBtn>
                      </MDBCol>
                    </MDBRow>
                    <hr />
                    <MDBRow className='d-flex justify-content-center'>
                      <MDBRow className='d-flex justify-content-center'>
                        <div style={{ marginBottom: '150vh' }} ref={autoscrollRef1}>
                          Scroll from this
                        </div>
                        <div ref={autoscrollRef2}>... to that</div>
                      </MDBRow>
                    </MDBRow>
                  </MDBContainer>
                </MDBOnboarding>
              );
            }
          
        
    

Popover customization

Buttons and labels customization

You can change buttons styles and labels inside step popover via proper properties. For more info visit API section


Card image cap

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
              import React from 'react';
              import {
                MDBContainer,
                MDBCol,
                MDBRow,
                MDBBtn,
                MDBCard,
                MDBCardBody,
                MDBCardTitle,
                MDBCardText,
                MDBIcon,
              } from 'mdb-react-ui-kit';
              import { MDBOnboarding } from 'mdb-react-onboarding';

              export default function App() {

                const customizationStarter = useRef(null);
                const customizationRef1 = useRef(null);
                const customizationRef2 = useRef(null);
                const customizationRef3 = useRef(null);
                const customizationRef4 = useRef(null);

                return (
                  <MDBOnboarding
                    starter={customizationStarter}
                    backdrop
                    steps={[
                      {
                        ref: customizationRef1,
                        content: 'Globally changed button labels',
                        customization: {
                          prevBtn: 'left',
                          nextBtn: 'right',
                          closeBtn: 'end',
                        },
                      },
                      {
                        ref: customizationRef2,
                        content: 'Locally changed control labels',
                        autoplay: 5,
                        customization: {
                          prevBtn: 'left',
                          nextBtn: 'right',
                          closeBtn: 'end',
                          resumeBtn: 'START',
                          pauseBtn: 'STOP',
                        },
                      },
                      {
                        ref: customizationRef3,
                        content: 'You can even use our icons inside button labels!',
                        customization: {
                          prevBtn: <MDBIcon fas icon='arrow-left' style={{ pointerEvents: 'none' }} />,
                          nextBtn: <MDBIcon fas icon='arrow-right' style={{ pointerEvents: 'none' }} />,
                          closeBtn: 'end',
                        },
                      },
                      {
                        ref: customizationRef4,
                        content: 'And add different button classes!',
                        customization: {
                          prevBtn: <MDBIcon fas icon='arrow-left' style={{ pointerEvents: 'none' }} />,
                          nextBtn: <MDBIcon fas icon='arrow-right' style={{ pointerEvents: 'none' }} />,
                          closeBtn: <MDBIcon fas icon='times' style={{ pointerEvents: 'none' }} />,
                        },
                      },
                    ]}
                  >
                    <MDBContainer>
                      <MDBRow className='justify-content-center'>
                        <MDBCol md="3" className='text-center'>
                          <MDBBtn ref={customizationStarter} color='danger'>
                            Start onboarding
                          </MDBBtn>
                        </div>
                      </MDBRow>
                      <hr />
                      <MDBRow className='d-flex justify-content-center'>
                        <MDBCol md='4'>
                          <MDBCard>
                            <img
                              ref={customizationRef1}
                              className='card-img-top'
                              src='https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp'
                              alt='Man in Cap and Glasses'
                            />
                            <a>
                              <div className='mask rgba-white-slight'></div>
                            </a>

                            <MDBCardBody className='text-center'>
                              <MDBCardTitle ref={customizationRef2}>
                                <strong>John Doe</strong>
                              </MDBCardTitle>

                              <h6 className='fw-bold indigo-text py-2'>Web developer</h6>

                              <MDBCardText ref={autoplayRef3}>
                                Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere
                                modi sunt, quod quibusdam.
                              </MDBCardText>

                              <div className='d-flex justify-content-evenly'>
                                <a href='#!' role='button'>
                                  <MDBIcon fab icon="facebook-f" size="lg" /> 
                                </a>
  
                                <a href='#!' role='button'>
                                  <MDBIcon fab icon="twitter" size="lg" />
                                </a>
  
                                <a href='#!' role='button' ref={basicRef3}>
                                  <MDBIcon fab icon="dribbble" size="lg" />
                                </a>
                              </div>
                            </MDBCardBody>
                          </MDBCard>
                        </MDBCol>
                      </MDBRow>
                    </MDBContainer>
                  </MDBOnboarding>
                );
              }
            
        
    

Popover class

Add custom class for popovers by setting className property and style it in your css sheet.


Card image cap

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
              import React from 'react';
              import {
                MDBContainer,
                MDBCol,
                MDBRow,
                MDBBtn,
                MDBCard,
                MDBCardBody,
                MDBCardTitle,
                MDBCardText,
                MDBIcon,
              } from 'mdb-react-ui-kit';
              import { MDBOnboarding } from 'mdb-react-onboarding';

              export default function App() {
                const customRef1 = useRef(null);
                const customRef2 = useRef(null);
                const starterRef = useRef(null);

                return (
                  <MDBOnboarding
                    starter={starterRef}
                    className="custom-popover"
                    steps={[
                      {
                        ref: basicRef1,
                        content: 'Border added with custom class',
                      },
                      {
                        ref: basicRef2,
                        content: 'Class change is set globally for all steps inside Onboarding container',
                      },
                    ]}
                  >
                    <MDBContainer>
                      <MDBRow className='justify-content-center'>
                        <MDBCol md='3' className='text-center'>
                          <MDBBtn ref={starterRef} color='danger'>
                            Start onboarding
                          </MDBBtn>
                        </MDBCol>
                      </MDBRow>
                      <hr />
                      <MDBRow className='d-flex justify-content-center'>
                        <MDBCol md='4'>
                          <MDBCard>
                            <img
                              className='card-img-top'
                              src='https://mdbcdn.b-cdn.net/img/Photos/Others/men.webp'
                              alt='Man in Cap and Glasses'
                              ref={customRef1}
                            />
                            <a>
                              <div className='mask rgba-white-slight'></div>
                            </a>

                            <MDBCardBody className='text-center'>
                              <MDBCardTitle ref={customRef2}>
                                <strong>John Doe</strong>
                              </MDBCardTitle>

                              <h6 className='fw-bold indigo-text py-2'>Web developer</h6>

                              <MDBCardText>
                                Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere
                                modi sunt, quod quibusdam.
                              </MDBCardText>

                              <div className='d-flex justify-content-evenly'>
                                <a href='#!' role='button'>
                                  <MDBIcon fab icon="facebook-f" size="lg" /> 
                                </a>
  
                                <a href='#!' role='button'>
                                  <MDBIcon fab icon="twitter" size="lg" />
                                </a>
  
                                <a href='#!' role='button' ref={basicRef3}>
                                  <MDBIcon fab icon="dribbble" size="lg" />
                                </a>
                              </div>
                            </MDBCardBody>
                          </MDBCard>
                        </MDBCol>
                      </MDBRow>
                    </MDBContainer>
                  </MDBOnboarding>
                );
              }
            
        
    
        
            
              .custom-popover {
                border: 2px solid red;
              }
            
        
    

Container example


Card image cap

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

Card image cap

Kate Smith

Graphic designer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

Card image cap

Natalie Code

Backend developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.


Gallery

Card image cap
Card image cap
Card image cap
Card image cap
Card image cap
Card image cap
Card image cap

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

Card image cap

Kate Smith

Graphic designer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

Card image cap

Natalie Code

Backend developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
            import React from 'react';
            import {
              MDBContainer,
              MDBCol,
              MDBRow,
              MDBBtn,
              MDBCard,
              MDBCardBody,
              MDBCardTitle,
              MDBCardText,
              MDBIcon,
            } from 'mdb-react-ui-kit';
            import { MDBOnboarding } from 'mdb-react-onboarding';

            export default function App() {
              const containerRef1 = useRef(null);
              const containerRef2 = useRef(null);
              const containerRef3 = useRef(null);
              const containerRef4 = useRef(null);
              const containerRef5 = useRef(null);

              return (
                <MDBOnboarding
                  className='border p-4 d-flex justify-content-center mb-4'
                  backdrop
                  containerBackdrop
                  style={{ maxHeight: '120vh', overflowY: 'auto', scrollBehavior: 'smooth' }}
                  starter={containerRef1}
                  steps={[
                    {
                      ref: containerRef1,
                      content: 'Onboarding inside containers works similarly to standard Onboarding tour',
                    },
                    {
                      ref: containerRef2,
                      content: 'You can pause and resume each step. This one will close after 5 seconds',
                      autoplay: 5,
                    },
                    {
                      ref: containerRef3,
                      content: 'Auto scroll works too. It will even scroll window if container is bigger than it',
                    },
                    {
                      ref: containerRef4,
                      content: 'And custom buttons also works',
                      customization: {
                        nextBtn: <MDBIcon fas icon='arrow-right' style={{ pointerEvents: 'none' }} />,
                      },
                    },
                    {
                      ref: containerRef5,
                      content: (
                        <>
                          Thank you for Onboarding experience with{' '}
                          <img
                            src='https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp'
                            style={{ alignSelf: 'center' }}
                          />
                        </>
                      ),
                    },
                  ]}
                >
                  <MDBContainer>
                    <MDBRow className='justify-content-center'>
                      <MDBCol md='3' className='text-center'>
                        <MDBBtn className='btn btn-danger' ref={containerRef1}>
                          Watch Demo <i className='fas fa-eye'></i>
                        </MDBBtn>
                      </MDBCol>
                    </MDBRow>

                    <hr />

                    <MDBRow className='my-4'>
                      <MDBCol md='4'>
                        <MDBCard>
                          <img
                            className='card-img-top'
                            src='https://mdbootstrap.com/img/Photos/Others/men.webp'
                            alt='Card image cap'
                          />
                          <a>
                            <div className='mask rgba-white-slight'></div>
                          </a>

                          <MDBCardBody className='text-center'>
                            <MDBCardTitle>
                              <strong>John Doe</strong>
                            </MDBCardTitle>

                            <h6 className='fw-bold indigo-text py-2'>Web developer</h6>

                            <MDBCardText>
                              Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere
                              modi sunt, quod quibusdam.
                            </MDBCardText>

                            <div className='d-flex justify-content-evenly'>
                              <a href='#!' role='button'>
                                <MDBIcon fab icon="facebook-f" size="lg" /> 
                              </a>

                              <a href='#!' role='button'>
                                <MDBIcon fab icon="twitter" size="lg" />
                              </a>

                              <a href='#!' role='button' ref={basicRef3}>
                                <MDBIcon fab icon="dribbble" size="lg" />
                              </a>
                            </div>
                          </MDBCardBody>
                        </MDBCard>
                      </MDBCol>

                      <MDBCol md='4'>
                        <MDBCard>
                          <img
                            className='card-img-top'
                            src='https://mdbootstrap.com/img/Photos/Others/men.webp'
                            alt='Card image cap'
                          />
                          <a>
                            <div className='mask rgba-white-slight'></div>
                          </a>

                          <div className='card-body text-center'>
                            <h4 className='card-title'>
                              <strong>Kate Smith</strong>
                            </h4>

                            <h6 className='fw-bold indigo-text py-2'>Graphic designer</h6>

                            <p className='card-text'>
                              Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere
                              modi sunt, quod quibusdam.
                            </p>

                            <div className='d-flex justify-content-evenly'>
                              <a href='#!' role='button'>
                                <MDBIcon fab icon="facebook-f" size="lg" /> 
                              </a>

                              <a href='#!' role='button'>
                                <MDBIcon fab icon="twitter" size="lg" />
                              </a>

                              <a href='#!' role='button' ref={basicRef3}>
                                <MDBIcon fab icon="dribbble" size="lg" />
                              </a>
                            </div>
                          </div>
                        </MDBCard>
                      </MDBCol>

                      <MDBCol md='4'>
                        <MDBCard>
                          <img
                            className='card-img-top'
                            src='https://mdbootstrap.com/img/Photos/Others/men.webp'
                            alt='Card image cap'
                          />
                          <a>
                            <div className='mask rgba-white-slight'></div>
                          </a>

                          <MDBCardBody className='text-center'>
                            <MDBCardTitle>
                              <strong>Natalie Code</strong>
                            </MDBCardTitle>

                            <h6 className='fw-bold indigo-text py-2'>Backend developer</h6>

                            <MDBCardText>
                              Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere
                              modi sunt, quod quibusdam.
                            </MDBCardText>

                            <div className='d-flex justify-content-evenly'>
                              <a href='#!' role='button'>
                                <MDBIcon fab icon="facebook-f" size="lg" /> 
                              </a>

                              <a href='#!' role='button'>
                                <MDBIcon fab icon="twitter" size="lg" />
                              </a>

                              <a href='#!' role='button' ref={basicRef3}>
                                <MDBIcon fab icon="dribbble" size="lg" />
                              </a>
                            </div>
                          </MDBCardBody>
                        </MDBCard>
                      </MDBCol>
                    </MDBRow>

                    <hr />

                    <h4 ref={containerRef3} className='text-center my-4'>
                      Gallery
                    </h4>

                    <MDBRow ref={containerRef4} className='my-3'>
                      <MDBCol md='4' className='mb-3'>
                        <img
                          className='img-fluid'
                          src='https://mdbootstrap.com/img/Photos/Vertical/mountain2.webp'
                          alt='Card image cap'
                        />
                      </MDBCol>

                      <MDBCol md='4' className='mb-3'>
                        <img
                          className='img-fluid'
                          src='https://mdbootstrap.com/img/Photos/Vertical/mountain1.webp'
                          alt='Card image cap'
                        />
                      </MDBCol>

                      <MDBCol md='4' className='mb-3'>
                        <img
                          className='img-fluid'
                          src='https://mdbootstrap.com/img/Photos/Vertical/mountain2.webp'
                          alt='Card image cap'
                        />
                      </MDBCol>
                    </MDBRow>

                    <MDBRow className='my-3'>
                      <MDBCol md='4' ref={containerRef2} className='mb-3'>
                        <img
                          className='img-fluid'
                          src='https://mdbootstrap.com/img/Photos/Vertical/mountain3.webp'
                          alt='Card image cap'
                        />
                      </MDBCol>

                      <div className='mb-3 col-md-4'>
                        <img
                          className='img-fluid'
                          src='https://mdbootstrap.com/img/Photos/Vertical/mountain1.webp'
                          alt='Card image cap'
                        />
                      </div>

                      <div className='mb-3 col-md-4'>
                        <img
                          className='img-fluid'
                          src='https://mdbootstrap.com/img/Photos/Vertical/mountain3.webp'
                          alt='Card image cap'
                        />
                      </div>
                    </MDBRow>

                    <MDBRow ref={containerRef5} className='my-4'>
                      <div className='col-md-4'>
                        <div className='card'>
                          <img
                            className='card-img-top'
                            src='https://mdbootstrap.com/img/Photos/Others/men.webp'
                            alt='Card image cap'
                          />
                          <a>
                            <div className='mask rgba-white-slight'></div>
                          </a>

                          <div className='card-body text-center'>
                            <h4 className='card-title'>
                              <strong>John Doe</strong>
                            </h4>

                            <h6 className='fw-bold indigo-text py-2'>Web developer</h6>

                            <p className='card-text'>
                              Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere
                              modi sunt, quod quibusdam.
                            </p>

                            <div className='d-flex justify-content-evenly'>
                              <a href='#!' role='button'>
                                <MDBIcon fab icon="facebook-f" size="lg" /> 
                              </a>

                              <a href='#!' role='button'>
                                <MDBIcon fab icon="twitter" size="lg" />
                              </a>

                              <a href='#!' role='button' ref={basicRef3}>
                                <MDBIcon fab icon="dribbble" size="lg" />
                              </a>
                            </div>
                          </div>
                        </div>
                      </div>

                      <div className='col-md-4'>
                        <div className='card'>
                          <img
                            className='card-img-top'
                            src='https://mdbootstrap.com/img/Photos/Others/men.webp'
                            alt='Card image cap'
                          />
                          <a>
                            <div className='mask rgba-white-slight'></div>
                          </a>

                          <div className='card-body text-center'>
                            <h4 className='card-title'>
                              <strong>Kate Smith</strong>
                            </h4>

                            <h6 className='fw-bold indigo-text py-2'>Graphic designer</h6>

                            <p className='card-text'>
                              Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere
                              modi sunt, quod quibusdam.
                            </p>

                            <div className='d-flex justify-content-evenly'>
                              <a href='#!' role='button'>
                                <MDBIcon fab icon="facebook-f" size="lg" /> 
                              </a>

                              <a href='#!' role='button'>
                                <MDBIcon fab icon="twitter" size="lg" />
                              </a>

                              <a href='#!' role='button' ref={basicRef3}>
                                <MDBIcon fab icon="dribbble" size="lg" />
                              </a>
                            </div>
                          </div>
                        </div>
                      </div>

                      <MDBCol md='4'>
                        <MDBCard>
                          <img
                            className='card-img-top'
                            src='https://mdbootstrap.com/img/Photos/Others/men.webp'
                            alt='Card image cap'
                          />
                          <a>
                            <div className='mask rgba-white-slight'></div>
                          </a>

                          <div className='card-body text-center'>
                            <h4 className='card-title'>
                              <strong>Natalie Code</strong>
                            </h4>

                            <h6 className='fw-bold indigo-text py-2'>Backend developer</h6>

                            <p className='card-text'>
                              Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere
                              modi sunt, quod quibusdam.
                            </p>

                            <div className='d-flex justify-content-evenly'>
                              <a href='#!' role='button'>
                                <MDBIcon fab icon="facebook-f" size="lg" /> 
                              </a>

                              <a href='#!' role='button'>
                                <MDBIcon fab icon="twitter" size="lg" />
                              </a>

                              <a href='#!' role='button' ref={basicRef3}>
                                <MDBIcon fab icon="dribbble" size="lg" />
                              </a>
                            </div>
                          </div>
                        </MDBCard>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                </MDBOnboarding>
              );
            }
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Onboarding - API


Import

        
            
        import { MDBOnboarding } from 'mdb-react-onboarding';
        
        
    

Properties

MDBOnboarding

Name Type Default Description Example
className string '' Adds a custom class to MDBOnboarding <MDBOnboarding className='custom' />
backdrop boolean false Enables the backdrop <MDBOnboarding backdrop />
backdropOpacity number 0.6 Specifies the backdrop opacity value <MDBOnboarding backdropOpacity={0.8} />
starter React.MutableRefObject<null> | number - The reference to starter element or starting delay <MDBOnboarding starter={starterRef} />
steps Array<StepObject> - Array with steps properties <MDBOnboarding starter={starterRef} />
starterType string 'click' Starter event type <MDBOnboarding starterType='mouseover' />

Advanced types

StepObject

        
                  
              type StepObject = {
                ref: React.MutableRefObject<null>;
                content: React.ReactNode;
                backdropOpacity?: number;
                autoplay?: number;
                customization?: {
                  prevBtn?: React.ReactNode;
                  nextBtn?: React.ReactNode;
                  pauseBtn?: React.ReactNode;
                  resumeBtn?: React.ReactNode;
                  closeBtn?: React.ReactNode;
                };
              }

Onboarding

Vue Bootstrap 5 Onboarding plugin

Onboarding is a guide plugin to show users how to use your website

Responsive Onboarding plugin built with the latest Bootstrap 5 and Vue 3. It is is a guide plugin to show users how to use your website.

Note: Read the API tab to find all available options and advanced customization


Basic example

To initialize Onboarding on your page simply use MDBOnboarding component. Specify steps by giving proper data-mdb-properties with data-mdb-step, data-mdb-index and data-mdb-onboarding-content as required minimum


Card image cap

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
            <template>
              <MDBOnboarding 
                tag="section" 
                class="border p-4 d-flex justify-content-center mb-4"
                startTrigger="#basic-example-starter"
              >
                <MDBContainer>
                  <MDBRow center>
                    <MDBCol md="3" class="text-center">
                      <MDBBtn 
                        color="danger" 
                        data-mdb-step 
                        data-mdb-index="1"
                        data-mdb-onboarding-content="This button has just started your" 
                        data-mdb-placement="right"
                        id="basic-example-starter"
                      >
                        Start onboarding
                      </MDBBtn>
                    </MDBCol>
                  </MDBRow>
                  <hr />
                  <MDBRow center>
                    <MDBCol md="4">
                      <MDBCard>
                        <MDBCardImg top src="https://mdbootstrap.com/img/Photos/Others/men.jpg" alt="Card image cap" />
                        <MDBCardBody text="center">
                          <MDBCardTitle 
                            tag="h4" 
                            data-mdb-step 
                            data-mdb-index="2"
                            data-mdb-onboarding-content="This is just basic example of initial onboarding options and configurations"
                          >
                            <strong>John Doe</strong>
                          </MDBCardTitle>
                          <h6 class="fw-bold indigo-text py-2">Web developer</h6>
                          <MDBCardText>
                            Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                            Voluptatibus, ex, recusandae. Facere modi sunt, quod
                            quibusdam.
                          </MDBCardText>
                          <div class="d-flex justify-content-evenly">
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="facebook-f" size="lg" />
                            </a>
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="twitter" size="lg" />
                            </a>
                            <a
                              href="#!"
                              role="button"
                              data-mdb-step
                              data-mdb-index="3"
                              data-mdb-onboarding-content="There is many more options in the examples below"
                            >
                              <MDBIcon icon="dribbble" iconStyle="fab" size="lg"/>
                            </a>
                          </div>
                        </MDBCardBody>
                      </MDBCard>
                    </MDBCol>
                  </MDBRow>
                </MDBContainer>
              </MDBOnboarding>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBOnboarding
              } from "mdb-vue-onboarding";
              import {
                MDBContainer,
                MDBRow,
                MDBCol,
                MDBCard,
                MDBCardImg,
                MDBCardTitle,
                MDBCardText,
                MDBCardBody,
                MDBIcon,
                MDBBtn,
              } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBOnboarding,
                  MDBContainer,
                  MDBRow,
                  MDBCol,
                  MDBCard,
                  MDBCardImg,
                  MDBCardTitle,
                  MDBCardText,
                  MDBCardBody,
                  MDBIcon,
                  MDBBtn,
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBOnboarding
              } from "mdb-vue-onboarding";
              import {
                MDBContainer,
                MDBRow,
                MDBCol,
                MDBCard,
                MDBCardImg,
                MDBCardTitle,
                MDBCardText,
                MDBCardBody,
                MDBIcon,
                MDBBtn,
              } from "mdb-vue-ui-kit";
            </script>
          
        
    

Start options

Autostart

Onboarding can be auto initialized by passing autostart property to the steps container element. User can set amount of time after which Onboarding will be triggered with delay option

Onboarding will start in: 3


Card image cap

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
              <template>
                <MDBOnboarding tag="section" autostart :delay="3" class="border p-4 d-flex justify-content-center mb-4">
                  <MDBContainer>
                    <MDBRow center class="d-flex">
                      <MDBCol md="4">
                        <MDBCard id="autostart-trigger">
                          <MDBCardImg 
                            top 
                            src="https://mdbootstrap.com/img/Photos/Others/men.jpg" 
                            alt="Card image cap"
                            data-mdb-step data-mdb-index="1"
                            data-mdb-onboarding-content="Example of autostarted onboarding experience" />
                          <MDBCardBody text="center">
                            <MDBCardTitle 
                              tag="h4" 
                              data-mdb-step 
                              data-mdb-index="2"
                              data-mdb-onboarding-content="Pass delay time in seconds to autostart"
                            >
                              <strong>John Doe</strong>
                            </MDBCardTitle>
                            <h6 class="fw-bold indigo-text py-2">Web developer</h6>
                            <MDBCardText>
                              Lorem ipsum dolor sit amet, consectetur adipisicing
                              elit. Voluptatibus, ex, recusandae. Facere modi sunt,
                              quod quibusdam.
                            </MDBCardText>
                            <div class="d-flex justify-content-evenly">
                              <a href="#!" role="button">
                                <MDBIcon
                                  iconStyle="fab"
                                  icon="facebook-f"
                                  size="lg"
                                />
                              </a>
                              <a href="#!" role="button">
                                <MDBIcon iconStyle="fab" icon="twitter" size="lg" />
                              </a>
                              <a
                                href="#!"
                                role="button"
                                data-mdb-step
                                data-mdb-index="3"
                                data-mdb-onboarding-content="Delay time will also work with other starting options"
                              >
                                <MDBIcon icon="dribbble" iconStyle="fab" size="lg"/>
                              </a>
                            </div>
                          </MDBCardBody>
                        </MDBCard>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                </MDBOnboarding>
              </template>
            
        
    
        
            
              <script>
                import {
                  MDBOnboarding
                } from "mdb-vue-onboarding";
                import {
                  MDBContainer,
                  MDBRow,
                  MDBCol,
                  MDBCard,
                  MDBCardImg,
                  MDBCardTitle,
                  MDBCardText,
                  MDBCardBody,
                  MDBIcon,
                } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBOnboarding,
                    MDBContainer,
                    MDBRow,
                    MDBCol,
                    MDBCard,
                    MDBCardImg,
                    MDBCardTitle,
                    MDBCardText,
                    MDBCardBody,
                    MDBIcon,
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import {
                  MDBOnboarding
                } from "mdb-vue-onboarding";
                import {
                  MDBContainer,
                  MDBRow,
                  MDBCol,
                  MDBCard,
                  MDBCardImg,
                  MDBCardTitle,
                  MDBCardText,
                  MDBCardBody,
                  MDBIcon,
                } from "mdb-vue-ui-kit";
              </script>
            
        
    

Event triggered start

Pass to startTrigger selector of element on which user will trigger startEvent to start Onboarding.


Card image cap

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
              <template>
                <MDBOnboarding 
                  tag="section" 
                  class="border p-4 d-flex justify-content-center mb-4" 
                  startEvent="mouseover"
                  startTrigger="#hover-event-trigger"
                >
                  <MDBContainer>
                    <MDBRow center>
                      <MDBCol md="3" class="text-center">
                        <MDBBtn color="danger" id="hover-event-trigger">
                          Hover over me to start
                        </MDBBtn>
                      </MDBCol>
                    </MDBRow>
                    <hr />
                    <MDBRow center class="d-flex">
                      <MDBCol md="4">
                        <MDBCard id="autostart-trigger">
                          <MDBCardImg 
                            top 
                            src="https://mdbootstrap.com/img/Photos/Others/men.jpg" 
                            alt="Card image cap"
                            data-mdb-step data-mdb-index="1"
                            data-mdb-onboarding-content="You can use events such as 'click' or 'mouseover'" />
                          <MDBCardBody text="center">
                            <MDBCardTitle 
                              tag="h4" 
                              data-mdb-step 
                              data-mdb-index="2"
                              data-mdb-onboarding-content="You can even use 'load' event on a window element!"
                            >
                              <strong>John Doe</strong>
                            </MDBCardTitle>
                            <h6 class="fw-bold indigo-text py-2">Web developer</h6>
                            <MDBCardText>
                              Lorem ipsum dolor sit amet, consectetur adipisicing
                              elit. Voluptatibus, ex, recusandae. Facere modi sunt,
                              quod quibusdam.
                            </MDBCardText>
                            <div class="d-flex justify-content-evenly">
                              <a href="#!" role="button">
                                <MDBIcon
                                  iconStyle="fab"
                                  icon="facebook-f"
                                  size="lg"
                                />
                              </a>
                              <a href="#!" role="button">
                                <MDBIcon iconStyle="fab" icon="twitter" size="lg" />
                              </a>
                              <a href="#!" role="button">
                                <MDBIcon icon="dribbble" iconStyle="fab" size="lg"/>
                              </a>
                            </div>
                          </MDBCardBody>
                        </MDBCard>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                </MDBOnboarding>
              </template>
            
        
    
        
            
              <script>
                import {
                  MDBOnboarding
                } from "mdb-vue-onboarding";
                import {
                  MDBContainer,
                  MDBRow,
                  MDBCol,
                  MDBCard,
                  MDBCardImg,
                  MDBCardTitle,
                  MDBCardText,
                  MDBCardBody,
                  MDBIcon,
                  MDBBtn,
                } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBOnboarding,
                    MDBContainer,
                    MDBRow,
                    MDBCol,
                    MDBCard,
                    MDBCardImg,
                    MDBCardTitle,
                    MDBCardText,
                    MDBCardBody,
                    MDBIcon,
                    MDBBtn,
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import {
                  MDBOnboarding
                } from "mdb-vue-onboarding";
                import {
                  MDBContainer,
                  MDBRow,
                  MDBCol,
                  MDBCard,
                  MDBCardImg,
                  MDBCardTitle,
                  MDBCardText,
                  MDBCardBody,
                  MDBIcon,
                  MDBBtn,
                } from "mdb-vue-ui-kit";
              </script>
            
        
    

Backdrop options

Global backdrop

Backdrop for every step inside Onboarding can be set via backdrop and backdropOpacity properties


Card image cap

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
              <template>
                <MDBOnboarding 
                  tag="section" 
                  class="border p-4 d-flex justify-content-center mb-4"
                  startTrigger="#global-backdrop-trigger" 
                  startEvent="click" 
                  backdrop 
                  :backdropOpacity="0.5"
                >
                  <MDBContainer>
                    <MDBRow center>
                      <MDBCol md="3" class="text-center">
                        <MDBBtn color="danger" id="global-backdrop-trigger">
                          Start onboarding
                        </MDBBtn>
                      </MDBCol>
                    </MDBRow>
                    <hr />
                    <MDBRow center class="d-flex">
                      <MDBCol md="4">
                        <MDBCard>
                          <MDBCardImg 
                            top 
                            src="https://mdbootstrap.com/img/Photos/Others/men.jpg" 
                            alt="Card image cap"
                            data-mdb-step data-mdb-index="1"
                            data-mdb-onboarding-content="Backdrop is set to false by default" />
                          <a>
                            <div class="mask rgba-white-slight"></div>
                          </a>
                          <MDBCardBody text="center">
                            <MDBCardTitle 
                              tag="h6" 
                              data-mdb-step 
                              data-mdb-index="2"
                              data-mdb-onboarding-content="Backdrop options set in Onboarding container will be passed to each step element inside it"
                            >
                              <strong>John Doe</strong>
                            </MDBCardTitle>
                            <h6 class="fw-bold indigo-text py-2">Web developer</h6>
                            <MDBCardText>
                              Lorem ipsum dolor sit amet, consectetur adipisicing
                              elit. Voluptatibus, ex, recusandae. Facere modi sunt,
                              quod quibusdam.
                            </MDBCardText>
                            <div class="d-flex justify-content-evenly">
                              <a href="#!" role="button">
                                <MDBIcon
                                  iconStyle="fab"
                                  icon="facebook-f"
                                  size="lg"
                                />
                              </a>
                              <a href="#!" role="button">
                                <MDBIcon iconStyle="fab" icon="twitter" size="lg" />
                              </a>
                              <a
                                href="#!"
                                role="button"
                                data-mdb-step
                                data-mdb-index="3"
                                data-mdb-onboarding-content="If you want to set global backdrop but turn it off for one step use options for individual step from the next example"
                              >
                                <MDBIcon iconStyle="fab" icon="dribbble" size="lg"/>
                              </a>
                            </div>
                          </MDBCardBody>
                        </MDBCard>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                </MDBOnboarding>
              </template>
            
        
    
        
            
              <script>
                import {
                  MDBOnboarding
                } from "mdb-vue-onboarding";
                import {
                  MDBContainer,
                  MDBRow,
                  MDBCol,
                  MDBCard,
                  MDBCardImg,
                  MDBCardTitle,
                  MDBCardText,
                  MDBCardBody,
                  MDBIcon,
                  MDBBtn,
                } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBOnboarding,
                    MDBContainer,
                    MDBRow,
                    MDBCol,
                    MDBCard,
                    MDBCardImg,
                    MDBCardTitle,
                    MDBCardText,
                    MDBCardBody,
                    MDBIcon,
                    MDBBtn,
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import {
                  MDBOnboarding
                } from "mdb-vue-onboarding";
                import {
                  MDBContainer,
                  MDBRow,
                  MDBCol,
                  MDBCard,
                  MDBCardImg,
                  MDBCardTitle,
                  MDBCardText,
                  MDBCardBody,
                  MDBIcon,
                  MDBBtn,
                } from "mdb-vue-ui-kit";
              </script>
            
        
    

Individual step backdrop

Indivudal backdrop options can be set with attributes data-mdb-backdrop and data-mdb-backdrop-opacity.


Card image cap

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
              <template>
                <MDBOnboarding 
                  tag="section" 
                  class="border p-4 d-flex justify-content-center mb-4" 
                  startEvent="click"
                  startTrigger="#individual-backdrop-trigger"
                >
                  <MDBContainer>
                    <MDBRow center>
                      <MDBCol md="3" class="text-center">
                        <MDBBtn color="danger" id="individual-backdrop-trigger">
                          Start onboarding
                        </MDBBtn>
                      </MDBCol>
                    </MDBRow>
                    <hr />
                    <MDBRow center class="d-flex">
                      <MDBCol md="4">
                        <MDBCard>
                          <MDBCardImg 
                            top 
                            src="https://mdbootstrap.com/img/Photos/Others/men.jpg" 
                            alt="Card image cap"
                            data-mdb-step data-mdb-index="1"
                            data-mdb-onboarding-content="Individual step options have higher specificity than global. Setting backdrop to a single step will override its global backdrop options"
                            data-mdb-backdrop="true" />
                          <a>
                            <div class="mask rgba-white-slight"></div>
                          </a>
                          <MDBCardBody text="center">
                            <MDBCardTitle 
                              tag="h6" 
                              data-mdb-step 
                              data-mdb-index="2" 
                              data-mdb-backdrop="true"
                              data-mdb-backdrop-opacity="0.2"
                              data-mdb-onboarding-content="This element has backdrop with opacity 0.2"
                            >
                              <strong>John Doe</strong>
                            </MDBCardTitle>
                            <h6 class="fw-bold indigo-text py-2">Web developer</h6>
                            <MDBCardText>
                              Lorem ipsum dolor sit amet, consectetur adipisicing
                              elit. Voluptatibus, ex, recusandae. Facere modi sunt,
                              quod quibusdam.
                            </MDBCardText>
                            <div class="d-flex justify-content-evenly">
                              <a href="#!" role="button">
                                <MDBIcon
                                  iconStyle="fab"
                                  icon="facebook-f"
                                  size="lg"
                                />
                              </a>
                              <a
                                href="#!"
                                role="button"
                                data-mdb-step
                                data-mdb-index="3"
                                data-mdb-backdrop="true"
                                data-mdb-backdrop-opacity="0.8"
                                data-mdb-onboarding-content="And this element has backdrop with opacity 0.8"
                              >
                                <MDBIcon iconStyle="fab" icon="twitter" size="lg" />
                              </a>
                              <a href="#!" role="button">
                                <MDBIcon iconStyle="fab" icon="dribble" size="lg"/>
                              </a>
                            </div>
                          </MDBCardBody>
                        </MDBCard>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                </MDBOnboarding>
              </template>
            
        
    
        
            
              <script>
                import {
                  MDBOnboarding
                } from "mdb-vue-onboarding";
                import {
                  MDBContainer,
                  MDBRow,
                  MDBCol,
                  MDBCard,
                  MDBCardImg,
                  MDBCardTitle,
                  MDBCardText,
                  MDBCardBody,
                  MDBIcon,
                  MDBBtn,
                } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBOnboarding,
                    MDBContainer,
                    MDBRow,
                    MDBCol,
                    MDBCard,
                    MDBCardImg,
                    MDBCardTitle,
                    MDBCardText,
                    MDBCardBody,
                    MDBIcon,
                    MDBBtn,
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import {
                  MDBOnboarding
                } from "mdb-vue-onboarding";
                import {
                  MDBContainer,
                  MDBRow,
                  MDBCol,
                  MDBCard,
                  MDBCardImg,
                  MDBCardTitle,
                  MDBCardText,
                  MDBCardBody,
                  MDBIcon,
                  MDBBtn,
                } from "mdb-vue-ui-kit";
              </script>
            
        
    

Autoplay

Set autoplay and stepsDuration to enable autoplay for every step inside container


Card image cap

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
            <template>
              <MDBOnboarding 
                tag="section" 
                class="border p-4 d-flex justify-content-center mb-4"
                startTrigger="#autoplay-starter" 
                startEvent="click" 
                autoplay 
                :stepsDuration="2"
              >
                <MDBContainer>
                  <MDBRow class="justify-content-center">
                    <MDBCol md="3" class="text-center">
                      <MDBBtn 
                        color="danger" 
                        data-mdb-step 
                        data-mdb-index="1"
                        data-mdb-onboarding-content="This step has globally set duration for 2 seconds"
                        id="autoplay-starter"
                      >
                        Start onboarding
                      </MDBBtn>
                    </MDBCol>
                  </MDBRow>
                  <hr />
                  <MDBRow class="d-flex justify-content-center">
                    <MDBCol md="4">
                      <MDBCard>
                        <MDBCardImg top src="https://mdbootstrap.com/img/Photos/Others/men.jpg" alt="Card image cap" />
                        <a>
                          <div class="mask rgba-white-slight"></div>
                        </a>
                        <MDBCardBody text="center">
                          <MDBCardTitle 
                            tag="h4" 
                            data-mdb-step 
                            data-mdb-index="2" 
                            data-mdb-duration="4"
                            data-mdb-onboarding-content="This step has overriden duration with data-mdb-duration property set to 4 seconds"
                          >
                            <strong>John Doe</strong>
                          </MDBCardTitle>
                          <h6 class="fw-bold indigo-text py-2">Web developer</h6>
                          <MDBCardText 
                            data-mdb-step 
                            data-mdb-index="3" 
                            data-mdb-autoplay="false"
                            data-mdb-onboarding-content="This step has data-mdb-autoplay indivudally set to  false. Click next or use arrow to open next step"
                          >
                            Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                            Voluptatibus, ex, recusandae. Facere modi sunt, quod
                            quibusdam.
                          </MDBCardText>
                          <div class="d-flex justify-content-evenly">
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="facebook-f" size="lg" />
                            </a>
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="twitter" size="lg" />
                            </a>
                            <a
                              href="#!"
                              role="button"
                              data-mdb-step
                              data-mdb-index="4"
                              data-mdb-duration="5"
                              data-mdb-onboarding-content="This step will automatically close after 5 seconds"
                            >
                              <MDBIcon iconStyle="fab" icon="dribbble" size="lg"/>
                            </a>
                          </div>
                        </MDBCardBody>
                      </MDBCard>
                    </MDBCol>
                  </MDBRow>
                </MDBContainer>
              </MDBOnboarding>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBOnboarding
              } from "mdb-vue-onboarding";
              import {
                MDBContainer,
                MDBRow,
                MDBCol,
                MDBCard,
                MDBCardImg,
                MDBCardTitle,
                MDBCardText,
                MDBCardBody,
                MDBIcon,
                MDBBtn,
              } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBOnboarding,
                  MDBContainer,
                  MDBRow,
                  MDBCol,
                  MDBCard,
                  MDBCardImg,
                  MDBCardTitle,
                  MDBCardText,
                  MDBCardBody,
                  MDBIcon,
                  MDBBtn,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBOnboarding
              } from "mdb-vue-onboarding";
              import {
                MDBContainer,
                MDBRow,
                MDBCol,
                MDBCard,
                MDBCardImg,
                MDBCardTitle,
                MDBCardText,
                MDBCardBody,
                MDBIcon,
                MDBBtn,
              } from "mdb-vue-ui-kit";
            </script>
          
        
    

Autoscroll

Toggle auto scrolling into element that is outside the view with autoscroll property.


Scroll from this
... to that
        
            
            <template>
              <MDBOnboarding 
                tag="section" 
                class="border p-4 d-flex justify-content-center mb-4"
                startTrigger="#autoscroll-starter" 
                startEvent="click" 
                autoscroll 
                backdrop
              >
                <MDBContainer>
                  <MDBRow class="justify-content-center">
                    <MDBCol md="3" class="text-center">
                      <MDBBtn color="danger" id="autoscroll-starter">Start onboarding</MDBBtn>
                    </MDBCol>
                  </MDBRow>
                  <hr />
                  <MDBRow class="d-flex justify-content-center">
                    <MDBRow class="d-flex justify-content-center">
                      <div 
                        style="margin-bottom: 150vh" 
                        data-mdb-step data-mdb-index="1"
                        data-mdb-onboarding-content="Autoscroll is set to true by default"
                      >
                        Scroll from this
                      </div>
                      <div 
                        data-mdb-step data-mdb-index="2" 
                        data-mdb-onboarding-content='To disable it for single step use data-mdb-autoscroll="false" property on that element'
                      >
                        ... to that
                      </div>
                    </MDBRow>
                  </MDBRow>
                </MDBContainer>
              </MDBOnboarding>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBOnboarding
              } from "mdb-vue-onboarding";
              import {
                MDBContainer,
                MDBRow,
                MDBCol,
                MDBBtn,
              } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBOnboarding,
                  MDBContainer,
                  MDBRow,
                  MDBCol,
                  MDBBtn,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBOnboarding
              } from "mdb-vue-onboarding";
              import {
                MDBContainer,
                MDBRow,
                MDBCol,
                MDBBtn,
              } from "mdb-vue-ui-kit";
            </script>
          
        
    
        
            
            <style>
              .custom-popover {
                border: 1px solid red;
              }
            </style>
          
        
    

Popover customization

Buttons and labels customization

You can change buttons styles and labels inside step popover via proper properties. For more info visit API section


Card image cap

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
              <template>
                <MDBOnboarding 
                  tag="section" 
                  class="border p-4 d-flex justify-content-center mb-4"
                  startTrigger="#button-customization-starter" 
                  startEvent="click" 
                  backdrop 
                  :backdropOpacity="0.5"
                  nextLabel="Right" 
                  prevLabel="Left" 
                  skipLabel="End" 
                  finishLabel="Close"
                >
                  <MDBContainer>
                    <MDBRow class="justify-content-center">
                      <MDBCol md="3" class="text-center">
                        <MDBBtn color="danger" id="button-customization-starter">
                          Start onboarding
                        </MDBBtn>
                      </MDBCol>
                    </MDBRow>
                    <hr />
                    <MDBRow class="d-flex justify-content-center">
                      <MDBCol md="4">
                        <MDBCard>
                          <MDBCardImg 
                            top 
                            src="https://mdbootstrap.com/img/Photos/Others/men.jpg" alt="Card image cap"
                            data-mdb-step data-mdb-index="1"
                            data-mdb-onboarding-content="Globally changed button labels" />
                          <a>
                          <div class="mask rgba-white-slight"></div>
                        </a>
                          <MDBCardBody text="center">
                            <MDBCardTitle 
                              tag="h4" 
                              data-mdb-step data-mdb-index="2" 
                              data-mdb-duration="6"
                              data-mdb-pause-label="Stop" 
                              data-mdb-resume-label="Start"
                              data-mdb-onboarding-content="Locally changed control labels"
                            >
                              <strong>John Doe</strong>
                            </MDBCardTitle>
                            <h6 class="fw-bold indigo-text py-2">Web developer</h6>
                            <MDBCardText>
                              Lorem ipsum dolor sit amet, consectetur adipisicing
                              elit. Voluptatibus, ex, recusandae. Facere modi sunt,
                              quod quibusdam.
                            </MDBCardText>
                            <div class="d-flex justify-content-evenly">
                              <a
                                href="#!"
                                role="button"
                                data-mdb-step
                                data-mdb-index="3"
                                data-mdb-next-label='<i class="fas fa-arrow-right" style="pointer-events: none"></i>'
                                data-mdb-prev-label='<i class="fas fa-arrow-left" style="pointer-events: none"></i>'
                                data-mdb-onboarding-content="You can even use our icons inside button labels!"
                              >
                                <MDBIcon iconStyle="fab" icon="facebook" size="lg" />
                              </a>
                                <a href="#!" role="button">
                                <MDBIcon iconStyle="fab" icon="twitter" size="lg" />
                              </a>
                              <a
                                href="#!"
                                role="button"
                                data-mdb-step
                                data-mdb-index="4"
                                data-mdb-next-label='<i class="fas fa-arrow-right" style="pointer-events: none"></i>'
                                data-mdb-prev-label='<i class="fas fa-arrow-left" style="pointer-events: none"></i>'
                                data-mdb-finish-label='<i class="fas fa-times" style="pointer-events: none"></i>'
                                data-mdb-btn-main="btn-outline-primary btn-rounded"
                                data-mdb-btn-close="btn-outline-warning btn-rounded"
                                data-mdb-onboarding-content="And add different button classes!"
                              >
                                <MDBIcon iconStyle="fab" icon="dribbble" size="lg"/>
                              </a>
                            </div>
                          </MDBCardBody>
                        </MDBCard>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                </MDBOnboarding>
              </template>
            
        
    
        
            
              <script>
                import {
                  MDBOnboarding
                } from "mdb-vue-onboarding";
                import {
                  MDBContainer,
                  MDBRow,
                  MDBCol,
                  MDBCard,
                  MDBCardImg,
                  MDBCardTitle,
                  MDBCardText,
                  MDBCardBody,
                  MDBIcon,
                  MDBBtn,
                } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBOnboarding,
                    MDBContainer,
                    MDBRow,
                    MDBCol,
                    MDBCard,
                    MDBCardImg,
                    MDBCardTitle,
                    MDBCardText,
                    MDBCardBody,
                    MDBIcon,
                    MDBBtn,
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import {
                  MDBOnboarding
                } from "mdb-vue-onboarding";
                import {
                  MDBContainer,
                  MDBRow,
                  MDBCol,
                  MDBCard,
                  MDBCardImg,
                  MDBCardTitle,
                  MDBCardText,
                  MDBCardBody,
                  MDBIcon,
                  MDBBtn,
                } from "mdb-vue-ui-kit";
              </script>
            
        
    

Popover class

Add custom class for popovers by setting customClass property and style it in your css sheet.


Card image cap

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
              <template>
                <MDBOnboarding 
                  tag="section" 
                  class="border p-4 d-flex justify-content-center mb-4" 
                  startEvent="click"
                  startTrigger="#popover-class-starter" 
                  customClass="custom-popover"
                >
                  <MDBContainer>
                    <MDBRow class="justify-content-center">
                      <MDBCol md="3" class="text-center">
                        <MDBBtn color="danger" id="popover-class-starter">Start onboarding</MDBBtn>
                      </MDBCol>
                    </MDBRow>
                    <hr />
                    <MDBRow class="d-flex justify-content-center">
                      <MDBCol md="4" class="col-md-4">
                        <MDBCard>
                          <MDBCardImg 
                            top 
                            src="https://mdbootstrap.com/img/Photos/Others/men.jpg" 
                            alt="Card image cap"
                            data-mdb-step data-mdb-index="1"
                            data-mdb-onboarding-content="Border added with custom class" />
                          <a>
                          <div class="mask rgba-white-slight"></div>
                        </a>
                          <MDBCardBody text="center">
                            <MDBCardTitle 
                              tag="h4" 
                              data-mdb-step 
                              data-mdb-index="2"
                              data-mdb-onboarding-content="Class change is set globally for all steps inside Onboarding container"
                            >
                              <strong>John Doe</strong>
                            </MDBCardTitle>
                            <h6 class="fw-bold indigo-text py-2">Web developer</h6>
                            <MDBCardText>
                              Lorem ipsum dolor sit amet, consectetur adipisicing
                              elit. Voluptatibus, ex, recusandae. Facere modi sunt,
                              quod quibusdam.
                            </MDBCardText>
                            <div class="d-flex justify-content-evenly">
                              <a href="#!" role="button">
                                <MDBIcon iconStyle="fab" icon="facebook" size="lg" />
                              </a>
                              <a href="#!" role="button">
                                <MDBIcon iconStyle="fab" icon="twitter" size="lg" />
                              </a>
                              <a href="#!" role="button">
                                <MDBIcon iconStyle="fab" icon="dribbble" size="lg" />
                              </a>
                            </div>
                          </MDBCardBody>
                        </MDBCard>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                </MDBOnboarding>
              </template>
            
        
    
        
            
              <script>
                import {
                  MDBOnboarding
                } from "mdb-vue-onboarding";
                import {
                  MDBContainer,
                  MDBRow,
                  MDBCol,
                  MDBCard,
                  MDBCardImg,
                  MDBCardTitle,
                  MDBCardText,
                  MDBCardBody,
                  MDBIcon,
                  MDBBtn,
                } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBOnboarding,
                    MDBContainer,
                    MDBRow,
                    MDBCol,
                    MDBCard,
                    MDBCardImg,
                    MDBCardTitle,
                    MDBCardText,
                    MDBCardBody,
                    MDBIcon,
                    MDBBtn,
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import {
                  MDBOnboarding
                } from "mdb-vue-onboarding";
                import {
                  MDBContainer,
                  MDBRow,
                  MDBCol,
                  MDBCard,
                  MDBCardImg,
                  MDBCardTitle,
                  MDBCardText,
                  MDBCardBody,
                  MDBIcon,
                  MDBBtn,
                } from "mdb-vue-ui-kit";
              </script>
            
        
    

Container example


Card image cap

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

Card image cap

Kate Smith

Graphic designer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

Card image cap

Natalie Code

Backend developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.


Gallery

Card image cap
Card image cap
Card image cap
Card image cap
Card image cap
Card image cap
Card image cap

John Doe

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

Card image cap

Kate Smith

Graphic designer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

Card image cap

Natalie Code

Backend developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
            <template>
              <MDBOnboarding 
                tag="section" 
                class="border p-4 d-flex justify-content-center mb-4"
                style="max-height: 120vh; overflow-y: auto" 
                startTrigger="#container-starter" 
                startEvent="click"
              >
                <MDBContainer>
                  <MDBRow class="justify-content-center">
                    <MDBCol md="3" class="text-center">
                      <MDBBtn 
                        color="danger" 
                        data-mdb-step 
                        data-mdb-index="1"
                        data-mdb-onboarding-content="Onboarding inside containers works similarly to standard Onboarding tour"
                        data-mdb-target="start-demo" 
                        data-mdb-backdrop="true" 
                        id="container-starter"
                      >
                        Watch Demo
                        <MDBIcon icon="eye" />
                      </MDBBtn>
                    </MDBCol>
                  </MDBRow>
                  <hr />
                  <MDBRow class="my-4">
                    <MDBCol md="4">
                      <MDBCard>
                        <MDBCardImg top src="https://mdbootstrap.com/img/Photos/Others/men.jpg" alt="Card image cap" />
                        <a>
                          <div class="mask rgba-white-slight"></div>
                        </a>
                        <MDBCardBody text="center">
                          <MDBCardTitle tag="h4"><strong>John Doe</strong></MDBCardTitle>
                          <h6 class="fw-bold indigo-text py-2">Web developer</h6>
                          <MDBCardText>
                            Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                            Voluptatibus, ex, recusandae. Facere modi sunt, quod
                            quibusdam.
                          </MDBCardText>
                          <div class="d-flex justify-content-evenly">
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="facebook" size="lg" />
                            </a>
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="twitter" size="lg" />
                            </a>
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="dribbble" size="lg" />
                            </a>
                          </div>
                        </MDBCardBody>
                      </MDBCard>
                    </MDBCol>
                    <MDBCol md="4">
                      <MDBCard>
                        <MDBCardImg top src="https://mdbootstrap.com/img/Photos/Others/men.jpg" alt="Card image cap" />
                        <a>
                          <div class="mask rgba-white-slight"></div>
                        </a>
                        <MDBCardBody text="center">
                          <MDBCardTitle tag="h4"><strong>Kate Smith</strong></MDBCardTitle>
                          <h6 class="fw-bold indigo-text py-2">Graphic designer</h6>
                          <MDBCardText>
                            Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                            Voluptatibus, ex, recusandae. Facere modi sunt, quod
                            quibusdam.
                          </MDBCardText>
                          <div class="d-flex justify-content-evenly">
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="facebook" size="lg" />
                            </a>
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="twitter" size="lg" />
                            </a>
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="dribbble" size="lg" />
                            </a>
                          </div>
                        </MDBCardBody>
                      </MDBCard>
                    </MDBCol>
                    <MDBCol md="4">
                      <MDBCard>
                        <MDBCardImg top src="https://mdbootstrap.com/img/Photos/Others/men.jpg" alt="Card image cap" />
                        <a>
                          <div class="mask rgba-white-slight"></div>
                        </a>
                        <MDBCardBody text="center">
                          <MDBCardTitle tag="h4"><strong>Natalie Code</strong></MDBCardTitle>
                          <h6 class="fw-bold indigo-text py-2">Backend developer</h6>
                          <MDBCardText>
                            Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                            Voluptatibus, ex, recusandae. Facere modi sunt, quod
                            quibusdam.
                          </MDBCardText>
                          <div class="d-flex justify-content-evenly">
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="dribbble" size="lg" />
                            </a>
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="dribbble" size="lg" />
                            </a>
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="dribbble" size="lg" />
                            </a>
                          </div>
                        </MDBCardBody>
                      </MDBCard>
                    </MDBCol>
                  </MDBRow>
                  <hr />
                  <h4 
                    class="my-4 text-center" 
                    data-mdb-step 
                    data-mdb-index="3"
                    data-mdb-onboarding-content="Auto scroll works too. It will even scroll window if container is bigger than it"
                    data-mdb-target="step-3" 
                    data-mdb-backdrop="true"
                  >
                    Gallery
                  </h4>
                  <MDBRow 
                    data-mdb-step 
                    data-mdb-index="4" 
                    data-mdb-onboarding-content="And custom buttons also works"
                    data-mdb-target="step-4" 
                    data-mdb-backdrop="true"
                    data-mdb-next-label='<i class="fas fa-chevron-right"></i>'
                  >
                    <MDBRow class="my-3">
                      <MDBCol mb="3" md="4">
                        <img 
                          class="img-fluid" 
                          src="https://mdbootstrap.com/img/Photos/Vertical/mountain2.jpg"
                          alt="Card image cap" />
                      </MDBCol>
                      <MDBCol mb="3" md="4">
                        <img 
                          class="img-fluid" 
                          src="https://mdbootstrap.com/img/Photos/Vertical/mountain1.jpg"
                          alt="Card image cap" />
                      </MDBCol>
                      <MDBCol mb="3" md="4">
                        <img 
                          class="img-fluid" 
                          src="https://mdbootstrap.com/img/Photos/Vertical/mountain2.jpg"
                          alt="Card image cap" />
                      </MDBCol>
                    </MDBRow>
                    <MDBRow class="my-3">
                      <MDBCol 
                        mb="3" 
                        md="4" 
                        data-mdb-step 
                        data-mdb-index="2" 
                        data-mdb-duration="5"
                        data-mdb-onboarding-content="You can pause and resume each step. This one will close after 5 seconds"
                        data-mdb-target="step-2"
                        data-mdb-backdrop="true"
                      >
                        <img 
                          class="img-fluid" 
                          src="https://mdbootstrap.com/img/Photos/Vertical/mountain3.jpg"
                          alt="Card image cap" />
                      </MDBCol>
                      <MDBCol mb="3" md="4">
                        <img 
                          class="img-fluid" 
                          src="https://mdbootstrap.com/img/Photos/Vertical/mountain1.jpg"
                          alt="Card image cap" />
                      </MDBCol>
                      <MDBCol mb="3" md="4">
                        <img 
                          class="img-fluid" 
                          src="https://mdbootstrap.com/img/Photos/Vertical/mountain3.jpg"
                          alt="Card image cap" />
                      </MDBCol>
                    </MDBRow>
                  </MDBRow>
                  <MDBRow 
                    class="my-4" 
                    data-mdb-step 
                    data-mdb-index="5"
                    data-mdb-onboarding-content='Thank you for Onboarding experience with <img src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.png" style="align-self-center">'
                    data-mdb-target="step-5" 
                    data-mdb-backdrop="true"
                  >
                    <MDBCol md="4">
                      <MDBCard>
                        <MDBCardImg top src="https://mdbootstrap.com/img/Photos/Others/men.jpg" alt="Card image cap" />
                        <a>
                          <div class="mask rgba-white-slight"></div>
                        </a>
                        <MDBCardBody text="center">
                          <MDBCardTitle tag="h4"><strong>John Doe</strong></MDBCardTitle>
                          <h6 class="fw-bold indigo-text py-2">Web developer</h6>
                          <MDBCardText>
                            Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                            Voluptatibus, ex, recusandae. Facere modi sunt, quod
                            quibusdam.
                          </MDBCardText>
                          <div class="d-flex justify-content-evenly">
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="dribbble" size="lg" />
                            </a>
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="dribbble" size="lg" />
                            </a>
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="dribbble" size="lg" />
                            </a>
                          </div>
                        </MDBCardBody>
                      </MDBCard>
                    </MDBCol>
                    <MDBCol md="4">
                      <MDBCard>
                        <MDBCardImg top src="https://mdbootstrap.com/img/Photos/Others/men.jpg" alt="Card image cap" />
                        <a>
                          <div class="mask rgba-white-slight"></div>
                        </a>
                        <MDBCardBody text="center">
                          <MDBCardTitle tag="h4"><strong>Kate Smith</strong></MDBCardTitle>
                          <h6 class="fw-bold indigo-text py-2">Graphic designer</h6>
                          <MDBCardText>
                            Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                            Voluptatibus, ex, recusandae. Facere modi sunt, quod
                            quibusdam.
                          </MDBCardText>
                          <div class="d-flex justify-content-evenly">
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="dribbble" size="lg" />
                            </a>
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="dribbble" size="lg" />
                            </a>
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="dribbble" size="lg" />
                            </a>
                          </div>
                        </MDBCardBody>
                      </MDBCard>
                    </MDBCol>
                    <MDBCol md="4">
                      <MDBCard>
                        <MDBCardImg top src="https://mdbootstrap.com/img/Photos/Others/men.jpg" alt="Card image cap" />
                        <a>
                          <div class="mask rgba-white-slight"></div>
                        </a>
                        <MDBCardBody text="center">
                          <MDBCardTitle tag="h4"><strong>Natalie Code</strong></MDBCardTitle>
                          <h6 class="fw-bold indigo-text py-2">Backend developer</h6>
                          <MDBCardText>
                            Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                            Voluptatibus, ex, recusandae. Facere modi sunt, quod
                            quibusdam.
                          </MDBCardText>
                          <div class="d-flex justify-content-evenly">
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="dribbble" size="lg" />
                            </a>
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="dribbble" size="lg" />
                            </a>
                            <a href="#!" role="button">
                              <MDBIcon iconStyle="fab" icon="dribbble" size="lg" />
                            </a>
                          </div>
                        </MDBCardBody>
                      </MDBCard>
                    </MDBCol>
                  </MDBRow>
                </MDBContainer>
              </MDBOnboarding>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBOnboarding
              } from "mdb-vue-onboarding";
              import {
                MDBContainer,
                MDBRow,
                MDBCol,
                MDBCard,
                MDBCardImg,
                MDBCardTitle,
                MDBCardText,
                MDBCardBody,
                MDBIcon,
                MDBBtn,
              } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBOnboarding,
                  MDBContainer,
                  MDBRow,
                  MDBCol,
                  MDBCard,
                  MDBCardImg,
                  MDBCardTitle,
                  MDBCardText,
                  MDBCardBody,
                  MDBIcon,
                  MDBBtn,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBOnboarding
              } from "mdb-vue-onboarding";
              import {
                MDBContainer,
                MDBRow,
                MDBCol,
                MDBCard,
                MDBCardImg,
                MDBCardTitle,
                MDBCardText,
                MDBCardBody,
                MDBIcon,
                MDBBtn,
              } from "mdb-vue-ui-kit";
            </script>
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Onboarding - API


Import

        
            
          <script>
            import { MDBOnboarding } from "mdb-vue-onboarding";
          </script>
        
        
    

Properties

Global

Name Type Default Description
autoFocus Boolean false Set auto focusing step popover element on or off
autoplay Boolean false Set automatic step change on or off. Use it in combination with stepsDuration
autoscroll Boolean false Defines whether window should automatically scroll into opened step position
autostart Boolean false Set Onboarding to start automatically after startDelay seconds
backdrop Boolean | 'static' false Set a backdrop element. Alternatively, specify static for a backdrop which doesn't close the popover on click.
backdropOpacity Number 0.6 Set opacity for step popover backdrop element
btnClose String 'btn-close' Set class for skip and finish buttons
btnMain String 'btn-main' Set class for main button style
btnPause String 'btn-pause' Set class for pause control button
btnResume String 'btn-resume' Set class for resume control button
customClass String ' Adds user's custom class to popover element
debounce Number 300 Set time in miliseconds after which changing of steps via keyboard navigation will be possible
finishLabel String 'Finish' Defines label for finish button inside popover element
nextLabel String 'Next' Defines label for next step button inside popover element
pauseLabel String 'Pause' Defines label for pause button inside popover element when autoPlay,stepsDuration or step duration is set
placement String 'bottom' Define placement of step popover. auto | top | bottom | left | right
prevLabel String 'Back' Defines label for previous step button inside popover element
resumeLabel String 'Resume' Defines label for resume button inside popover element when autoPlay,stepsDuration or step duration is set
skipLabel String 'Skip' Defines label for skip button inside popover element
startEvent String '' Set event on startTrigger element which will start Onboarding, e.g. mouseover or click
startDelay Number 0 Set time in seconds after which Onboarding will start. Use it with autoStart or startTrigger / startEvent combination
startIndex Number 1 Set index from which Onboarding will start
startTrigger String '' Set selector for HTML element that will start Onboarding when startEvent occurs.
steps Array Array of elements to initialize component with.
stepsDuration Number 0 Set time in seconds after which each step will automatically change to next
tag String 'div Element wrapper tag

Each individual step attribute will overwrite its global counterpart behavior.

Step

Name Type Default Description
autoplay Boolean true Set step autoplay attribute to false to turn off global autoplay for this particular step
backdrop Boolean | Null null Overwrites global backdrop attribute for single step
btnClose String '' Overwrites global btnClose attribute for single step
btnMain String '' Overwrites global btnMain attribute for single step
btnPause String '' Overwrites global btnPause attribute for single step
btnResume String '' Overwrites global btnResume attribute for single step
duration Number 0 Overwrites global stepsDuration attribute for single step
finishLabel String '' Overwrites global finishLabel attribute for single step
nextLabel String '' Overwrites global nextLabel attribute for single step
index Number null Set index number for step element
onboardingContent String '' Set content for step element. Can receive HTML templates
pauseLabel String '' Overwrites global pasueLabel attribute for single step
placement String 'bottom' Define placement of step popover. auto | top | bottom | left | right
prevLabel String '' Overwrites global prevLabel attribute for single step
resumeLabel String '' Overwrites global resumeLabel attribute for single step
skipLabel String '' Overwrites global skipLabel attribute for single step
target String | Null null Define selector for step element when creating Onboarding via JS
title String '' Set title for step popover element. When no title given, popover shows progress indicator

Methods

Name Description
open index Starts Onboarding on step set by the index key. Default is the first step.
close Closes opened step popover.
nextStep Opens next step popover.
prevStep Opens previous step popover.
pause Pauses Onboarding on current step when autoplay is on.
resume Resumes Onboarding on current step when autoplay is on.
        
            
          <template>
            <MDBBtn @click="onboardingRef?.nextStep()">next step</MDBBtn>
            <MDBOnboarding
              ref="onboardingRef"
            >
            ...
            </MDBOnboarding>
          </template>
        
        
    

Events

Name Description
start Emitted when an Onboarding has started.
end Emitted when the last step of the Onboarding has ended.
open Emitted when a step element has opened.
close Emitted when a step element has closed
next Emitted when next step is about to be opened.
previous Emitted when previous step is about to be opened.

For example, to listen on Onboading start

        
            
          <template>
            <MDBOnboarding @start="handleOonboardingStart" />
          </template>